summaryrefslogtreecommitdiff
path: root/dev-ruby
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2023-03-15 08:01:49 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2023-03-15 08:01:49 +0000
commitca49bb673cb95a5110ac8fcfd2e37b823716b388 (patch)
treee5a9f90600f06768496cb25373d793a9f05554c2 /dev-ruby
parentd6f36cc9110dbd847e3529a0585783c64557b56a (diff)
downloadbaldeagleos-repo-ca49bb673cb95a5110ac8fcfd2e37b823716b388.tar.gz
baldeagleos-repo-ca49bb673cb95a5110ac8fcfd2e37b823716b388.tar.xz
baldeagleos-repo-ca49bb673cb95a5110ac8fcfd2e37b823716b388.zip
Adding metadata
Diffstat (limited to 'dev-ruby')
-rw-r--r--dev-ruby/actioncable/Manifest2
-rw-r--r--dev-ruby/actioncable/actioncable-6.1.7.3.ebuild46
-rw-r--r--dev-ruby/actioncable/actioncable-7.0.4.3.ebuild46
-rw-r--r--dev-ruby/actionmailbox/Manifest2
-rw-r--r--dev-ruby/actionmailbox/actionmailbox-6.1.7.3.ebuild59
-rw-r--r--dev-ruby/actionmailbox/actionmailbox-7.0.4.3.ebuild64
-rw-r--r--dev-ruby/actionmailer/Manifest2
-rw-r--r--dev-ruby/actionmailer/actionmailer-6.1.7.3.ebuild46
-rw-r--r--dev-ruby/actionmailer/actionmailer-7.0.4.3.ebuild46
-rw-r--r--dev-ruby/actionpack/Manifest2
-rw-r--r--dev-ruby/actionpack/actionpack-6.1.7.3.ebuild70
-rw-r--r--dev-ruby/actionpack/actionpack-7.0.4.3.ebuild68
-rw-r--r--dev-ruby/actiontext/Manifest2
-rw-r--r--dev-ruby/actiontext/actiontext-6.1.7.3.ebuild53
-rw-r--r--dev-ruby/actiontext/actiontext-7.0.4.3.ebuild56
-rw-r--r--dev-ruby/actionview/Manifest2
-rw-r--r--dev-ruby/actionview/actionview-6.1.7.3.ebuild66
-rw-r--r--dev-ruby/actionview/actionview-7.0.4.3.ebuild68
-rw-r--r--dev-ruby/activejob/Manifest2
-rw-r--r--dev-ruby/activejob/activejob-6.1.7.3.ebuild47
-rw-r--r--dev-ruby/activejob/activejob-7.0.4.3.ebuild48
-rw-r--r--dev-ruby/activemodel/Manifest2
-rw-r--r--dev-ruby/activemodel/activemodel-6.1.7.3.ebuild43
-rw-r--r--dev-ruby/activemodel/activemodel-7.0.4.3.ebuild43
-rw-r--r--dev-ruby/activerecord/Manifest2
-rw-r--r--dev-ruby/activerecord/activerecord-6.1.7.3.ebuild91
-rw-r--r--dev-ruby/activerecord/activerecord-7.0.4.3.ebuild87
-rw-r--r--dev-ruby/activestorage/Manifest2
-rw-r--r--dev-ruby/activestorage/activestorage-6.1.7.3.ebuild61
-rw-r--r--dev-ruby/activestorage/activestorage-7.0.4.3.ebuild67
-rw-r--r--dev-ruby/activesupport/Manifest2
-rw-r--r--dev-ruby/activesupport/activesupport-6.1.7.3.ebuild75
-rw-r--r--dev-ruby/activesupport/activesupport-7.0.4.3.ebuild74
-rw-r--r--dev-ruby/net-ssh-gateway/net-ssh-gateway-2.0.0-r2.ebuild31
-rw-r--r--dev-ruby/rails/Manifest2
-rw-r--r--dev-ruby/rails/rails-6.1.7.3.ebuild39
-rw-r--r--dev-ruby/rails/rails-7.0.4.3.ebuild39
-rw-r--r--dev-ruby/railties/Manifest2
-rw-r--r--dev-ruby/railties/railties-6.1.7.3.ebuild71
-rw-r--r--dev-ruby/railties/railties-7.0.4.3.ebuild72
40 files changed, 1602 insertions, 0 deletions
diff --git a/dev-ruby/actioncable/Manifest b/dev-ruby/actioncable/Manifest
index fb3ed3825b28..20fa7b9339d7 100644
--- a/dev-ruby/actioncable/Manifest
+++ b/dev-ruby/actioncable/Manifest
@@ -2,6 +2,8 @@ DIST rails-6.0.5.1.tgz 18607954 BLAKE2B 74f75399a287f1eae199a5764c952b75dd95a02c
DIST rails-6.0.6.1.tgz 18608328 BLAKE2B 10e6cb2d23acb75c95c25e2e6cc62de05c9c89f249c6cb9abffdd3a6ed83eb1dca996e6ef56a92cf77dddd3f8f9373ad947690015fb7966ddc599c995cea1121 SHA512 6873354fe2f8b9bf8bc12c7e6affda4300c158ee825f996eea6032a70f9532009d8f626d2736af22a452c8a3b331d1252ff19666e021150bfae2a8d575890c27
DIST rails-6.1.6.1.tgz 11028264 BLAKE2B 568033eb816613ba0ba5f2df38e6a30158b2e31ef4d4da151f8c0de2934b07736833026793ce9192994d9ef2a2a45b67735a35760c1be8b8a68c1968147cc6db SHA512 04acf9dbf5ee734636aada67be001690899eb13f73ea688455fcaee8cbf4839aedf06943c8adb5eecf13fd9a5f6be1a225310aa481d3a254172fd0ce0402362f
DIST rails-6.1.7.2.tgz 11037081 BLAKE2B 0004f4bc8b2370119cbe0f6a9133278ae78b1d274f040f08d18edd06696e6fcc609154a042c68b77e11893fbef83ec8eabd9f1e2c28920269189ee1352a0695a SHA512 f667904b0d3ffda3579e5046da3b36c242581bacf140966bf1dc59fc7ea91f34f4affc76b0d6cfad4b80f0332aeec5fc8ab35fb793fc935f1d1b4fe6d18ce1de
+DIST rails-6.1.7.3.tgz 11038169 BLAKE2B 7e379b9ae3b63cb78638c1e0817ff40dc8aad79ba76b6d82310fbb4d6f5ef3dab4f252de9e49766143b828bfbce2ef7c9db3f108b5406708b61a83aeda47ea74 SHA512 fb84516a6cf370109bf45f2162161d23f375d7dc10249ed10200c74ec402129b07ac0e59bcde98a74eb499769a0cdd937af691edaabe44e061262d5510adc02e
DIST rails-6.1.7.tgz 11038670 BLAKE2B fd25884a6f58f10387f1f89ffd39caad337d7a3af6902f9ccdcf4eb108f9355124b6e1004d8b8f2b625ac7d9cfcd8635e7668101a1cba5d866a5fbe1b691e6e2 SHA512 7d56f604fbc2fb83a2e3a4ee070f55fb285018a48584115e0bf19982553eb5b78a173a5adbf1879e88c0739bea9dccc66879646da5c0b141b24f1500e1bdcb5f
DIST rails-7.0.4.2.tgz 11063555 BLAKE2B f8a862ce91a356dad702a44f1e36f8910e91481770118343c13fa00e40d57cd208ebea83e5adc0154927ef62b3f8461ded82c4e5097089fb1d872c2247feba44 SHA512 9fb80e9ec6e9edcf049635eb436c2fdb418cbdea47a6d82fefa7606e9bd14f2785b1c4445f08848692474db7ee3eb309ab26aabc5f3ba6847457d8dfd8802689
+DIST rails-7.0.4.3.tgz 11063764 BLAKE2B 389fd3a00bfff4ebda70cf5ec473942883048783b716ede1787a510d3b7b91f4e844dce4dde5ef643cb9611b1b3aa712f1ba5ebefb9e5a84e307a151b2e40bcf SHA512 2c817a0a58ae52f99686d8cd0de84f01e3d7ec05afc95d07910b3b5bf86d8162b06102893b2cbc14859b95a07eca6882a707956c87d437794697df7a18fa3c16
DIST rails-7.0.4.tgz 11061225 BLAKE2B 9c520766f936c82ae9ee943c3db0ad575d7fc59aea947fb2790cf511188fbd33166a62332564c4714372203f5fabdde842334103b48f4115c31f5d0fe18375f1 SHA512 118035226054ad5083d2affde55a812917652491f82a9a578380a790770fdda3a14904f6de10f58651bbbab278aa23920b652aa1b34c71441d465c3b7b4be82c
diff --git a/dev-ruby/actioncable/actioncable-6.1.7.3.ebuild b/dev-ruby/actioncable/actioncable-6.1.7.3.ebuild
new file mode 100644
index 000000000000..c59b8cc80841
--- /dev/null
+++ b/dev-ruby/actioncable/actioncable-6.1.7.3.ebuild
@@ -0,0 +1,46 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby27 ruby30 ruby31"
+
+RUBY_FAKEGEM_RECIPE_DOC=""
+RUBY_FAKEGEM_DOCDIR=""
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.md"
+
+RUBY_FAKEGEM_GEMSPEC="${PN}.gemspec"
+
+RUBY_FAKEGEM_EXTRAINSTALL="app"
+
+RUBY_FAKEGEM_BINWRAP=""
+
+inherit ruby-fakegem
+
+DESCRIPTION="Integrated WebSockets for Rails"
+HOMEPAGE="https://github.com/rails/rails"
+SRC_URI="https://github.com/rails/rails/archive/v${PV}.tar.gz -> rails-${PV}.tgz"
+
+LICENSE="MIT"
+SLOT="$(ver_cut 1-2)"
+KEYWORDS="~amd64 ~ppc ~ppc64 ~riscv ~x86"
+IUSE=""
+
+RUBY_S="rails-${PV}/${PN}"
+
+# Tests require many new dependencies, skipping for now
+RESTRICT="test"
+
+ruby_add_rdepend "
+ ~dev-ruby/actionpack-${PV}:*
+ ~dev-ruby/activesupport-${PV}:*
+ dev-ruby/nio4r:2
+ >=dev-ruby/websocket-driver-0.6.1:*
+"
+
+ruby_add_bdepend "
+ test? (
+ >=dev-ruby/railties-4.2.0
+ dev-ruby/test-unit:2
+ >=dev-ruby/mocha-0.14.0:0.14
+ )"
diff --git a/dev-ruby/actioncable/actioncable-7.0.4.3.ebuild b/dev-ruby/actioncable/actioncable-7.0.4.3.ebuild
new file mode 100644
index 000000000000..b2c27ae6e548
--- /dev/null
+++ b/dev-ruby/actioncable/actioncable-7.0.4.3.ebuild
@@ -0,0 +1,46 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby27 ruby30 ruby31"
+
+RUBY_FAKEGEM_RECIPE_DOC=""
+RUBY_FAKEGEM_DOCDIR=""
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.md"
+
+RUBY_FAKEGEM_GEMSPEC="${PN}.gemspec"
+
+RUBY_FAKEGEM_EXTRAINSTALL="app"
+
+RUBY_FAKEGEM_BINWRAP=""
+
+inherit ruby-fakegem
+
+DESCRIPTION="Integrated WebSockets for Rails"
+HOMEPAGE="https://github.com/rails/rails"
+SRC_URI="https://github.com/rails/rails/archive/v${PV}.tar.gz -> rails-${PV}.tgz"
+
+LICENSE="MIT"
+SLOT="$(ver_cut 1-2)"
+KEYWORDS="~amd64 ~ppc64 ~riscv ~x86"
+IUSE=""
+
+RUBY_S="rails-${PV}/${PN}"
+
+# Tests require many new dependencies, skipping for now
+RESTRICT="test"
+
+ruby_add_rdepend "
+ ~dev-ruby/actionpack-${PV}:*
+ ~dev-ruby/activesupport-${PV}:*
+ dev-ruby/nio4r:2
+ >=dev-ruby/websocket-driver-0.6.1:*
+"
+
+ruby_add_bdepend "
+ test? (
+ >=dev-ruby/railties-4.2.0
+ dev-ruby/test-unit:2
+ >=dev-ruby/mocha-0.14.0:0.14
+ )"
diff --git a/dev-ruby/actionmailbox/Manifest b/dev-ruby/actionmailbox/Manifest
index fb3ed3825b28..20fa7b9339d7 100644
--- a/dev-ruby/actionmailbox/Manifest
+++ b/dev-ruby/actionmailbox/Manifest
@@ -2,6 +2,8 @@ DIST rails-6.0.5.1.tgz 18607954 BLAKE2B 74f75399a287f1eae199a5764c952b75dd95a02c
DIST rails-6.0.6.1.tgz 18608328 BLAKE2B 10e6cb2d23acb75c95c25e2e6cc62de05c9c89f249c6cb9abffdd3a6ed83eb1dca996e6ef56a92cf77dddd3f8f9373ad947690015fb7966ddc599c995cea1121 SHA512 6873354fe2f8b9bf8bc12c7e6affda4300c158ee825f996eea6032a70f9532009d8f626d2736af22a452c8a3b331d1252ff19666e021150bfae2a8d575890c27
DIST rails-6.1.6.1.tgz 11028264 BLAKE2B 568033eb816613ba0ba5f2df38e6a30158b2e31ef4d4da151f8c0de2934b07736833026793ce9192994d9ef2a2a45b67735a35760c1be8b8a68c1968147cc6db SHA512 04acf9dbf5ee734636aada67be001690899eb13f73ea688455fcaee8cbf4839aedf06943c8adb5eecf13fd9a5f6be1a225310aa481d3a254172fd0ce0402362f
DIST rails-6.1.7.2.tgz 11037081 BLAKE2B 0004f4bc8b2370119cbe0f6a9133278ae78b1d274f040f08d18edd06696e6fcc609154a042c68b77e11893fbef83ec8eabd9f1e2c28920269189ee1352a0695a SHA512 f667904b0d3ffda3579e5046da3b36c242581bacf140966bf1dc59fc7ea91f34f4affc76b0d6cfad4b80f0332aeec5fc8ab35fb793fc935f1d1b4fe6d18ce1de
+DIST rails-6.1.7.3.tgz 11038169 BLAKE2B 7e379b9ae3b63cb78638c1e0817ff40dc8aad79ba76b6d82310fbb4d6f5ef3dab4f252de9e49766143b828bfbce2ef7c9db3f108b5406708b61a83aeda47ea74 SHA512 fb84516a6cf370109bf45f2162161d23f375d7dc10249ed10200c74ec402129b07ac0e59bcde98a74eb499769a0cdd937af691edaabe44e061262d5510adc02e
DIST rails-6.1.7.tgz 11038670 BLAKE2B fd25884a6f58f10387f1f89ffd39caad337d7a3af6902f9ccdcf4eb108f9355124b6e1004d8b8f2b625ac7d9cfcd8635e7668101a1cba5d866a5fbe1b691e6e2 SHA512 7d56f604fbc2fb83a2e3a4ee070f55fb285018a48584115e0bf19982553eb5b78a173a5adbf1879e88c0739bea9dccc66879646da5c0b141b24f1500e1bdcb5f
DIST rails-7.0.4.2.tgz 11063555 BLAKE2B f8a862ce91a356dad702a44f1e36f8910e91481770118343c13fa00e40d57cd208ebea83e5adc0154927ef62b3f8461ded82c4e5097089fb1d872c2247feba44 SHA512 9fb80e9ec6e9edcf049635eb436c2fdb418cbdea47a6d82fefa7606e9bd14f2785b1c4445f08848692474db7ee3eb309ab26aabc5f3ba6847457d8dfd8802689
+DIST rails-7.0.4.3.tgz 11063764 BLAKE2B 389fd3a00bfff4ebda70cf5ec473942883048783b716ede1787a510d3b7b91f4e844dce4dde5ef643cb9611b1b3aa712f1ba5ebefb9e5a84e307a151b2e40bcf SHA512 2c817a0a58ae52f99686d8cd0de84f01e3d7ec05afc95d07910b3b5bf86d8162b06102893b2cbc14859b95a07eca6882a707956c87d437794697df7a18fa3c16
DIST rails-7.0.4.tgz 11061225 BLAKE2B 9c520766f936c82ae9ee943c3db0ad575d7fc59aea947fb2790cf511188fbd33166a62332564c4714372203f5fabdde842334103b48f4115c31f5d0fe18375f1 SHA512 118035226054ad5083d2affde55a812917652491f82a9a578380a790770fdda3a14904f6de10f58651bbbab278aa23920b652aa1b34c71441d465c3b7b4be82c
diff --git a/dev-ruby/actionmailbox/actionmailbox-6.1.7.3.ebuild b/dev-ruby/actionmailbox/actionmailbox-6.1.7.3.ebuild
new file mode 100644
index 000000000000..8098f4a54a1f
--- /dev/null
+++ b/dev-ruby/actionmailbox/actionmailbox-6.1.7.3.ebuild
@@ -0,0 +1,59 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+USE_RUBY="ruby27 ruby30"
+
+RUBY_FAKEGEM_RECIPE_DOC="none"
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.md"
+
+RUBY_FAKEGEM_GEMSPEC="actionmailbox.gemspec"
+
+RUBY_FAKEGEM_BINWRAP=""
+RUBY_FAKEGEM_EXTRAINSTALL="app config db"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Framework for designing email-service layers"
+HOMEPAGE="https://github.com/rails/rails"
+SRC_URI="https://github.com/rails/rails/archive/v${PV}.tar.gz -> rails-${PV}.tgz"
+
+LICENSE="MIT"
+SLOT="$(ver_cut 1-2)"
+KEYWORDS="~amd64 ~ppc ~ppc64 ~riscv ~x86"
+IUSE=""
+
+RUBY_S="rails-${PV}/${PN}"
+
+ruby_add_rdepend "
+ ~dev-ruby/actionpack-${PV}
+ ~dev-ruby/activejob-${PV}
+ ~dev-ruby/activerecord-${PV}
+ ~dev-ruby/activestorage-${PV}
+ ~dev-ruby/activesupport-${PV}
+ >=dev-ruby/mail-2.7.1:*
+"
+
+ruby_add_bdepend "test? (
+ dev-ruby/bundler
+ <dev-ruby/mail-2.8
+ dev-ruby/mocha
+ dev-ruby/rexml
+ dev-ruby/sqlite3
+ dev-ruby/webmock
+)"
+
+all_ruby_prepare() {
+ # Remove items from the common Gemfile that we don't need for this
+ # test run. This also requires handling some gemspecs.
+ sed -e "/\(system_timer\|sdoc\|w3c_validators\|pg\|execjs\|jquery-rails\|mysql2\|journey\|ruby-prof\|stackprof\|benchmark-ips\|kindlerb\|turbolinks\|coffee-rails\|sass-rails\|debugger\|sprockets-rails\|redcarpet\|bcrypt\|uglifier\|sprockets\|stackprof\|websocket-client-simple\|libxml-ruby\|redis\|blade\|aws-sdk\|google-cloud\|azure-storage\|selenium\|webdrivers\|webrick\|minitest-bisect\|minitest-retry\|minitest-reporters\|listen\|rack-cache\|capybara\|webpacker\|bootsnap\|dalli\|connection_pool\)/ s:^:#:" \
+ -e '/group :\(cable\|doc\|job\|rubocop\|storage\|test\)/,/^end/ s:^:#:' \
+ -e '10igem "mail", "< 2.8"' \
+ -i ../Gemfile || die
+ rm ../Gemfile.lock || die
+ sed -i -e '/byebug/ s:^:#:' test/test_helper.rb || die
+}
+
+each_ruby_prepare() {
+ sed -i -e 's:ruby:'${RUBY}':' test/dummy/bin/* || die
+}
diff --git a/dev-ruby/actionmailbox/actionmailbox-7.0.4.3.ebuild b/dev-ruby/actionmailbox/actionmailbox-7.0.4.3.ebuild
new file mode 100644
index 000000000000..6e15a4288416
--- /dev/null
+++ b/dev-ruby/actionmailbox/actionmailbox-7.0.4.3.ebuild
@@ -0,0 +1,64 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+USE_RUBY="ruby27 ruby30"
+
+RUBY_FAKEGEM_RECIPE_DOC="none"
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.md"
+
+RUBY_FAKEGEM_GEMSPEC="actionmailbox.gemspec"
+
+RUBY_FAKEGEM_BINWRAP=""
+RUBY_FAKEGEM_EXTRAINSTALL="app config db"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Framework for designing email-service layers"
+HOMEPAGE="https://github.com/rails/rails"
+SRC_URI="https://github.com/rails/rails/archive/v${PV}.tar.gz -> rails-${PV}.tgz"
+
+LICENSE="MIT"
+SLOT="$(ver_cut 1-2)"
+KEYWORDS="~amd64 ~ppc64 ~riscv"
+IUSE=""
+
+RUBY_S="rails-${PV}/${PN}"
+
+ruby_add_rdepend "
+ ~dev-ruby/actionpack-${PV}
+ ~dev-ruby/activejob-${PV}
+ ~dev-ruby/activerecord-${PV}
+ ~dev-ruby/activestorage-${PV}
+ ~dev-ruby/activesupport-${PV}
+ >=dev-ruby/mail-2.7.1:*
+ dev-ruby/net-imap
+ dev-ruby/net-pop
+ dev-ruby/net-smtp
+"
+
+ruby_add_bdepend "test? (
+ dev-ruby/bundler
+ <dev-ruby/mail-2.8
+ dev-ruby/mocha
+ dev-ruby/propshaft
+ dev-ruby/rexml
+ dev-ruby/sqlite3
+ dev-ruby/webmock
+)"
+
+all_ruby_prepare() {
+ # Remove items from the common Gemfile that we don't need for this
+ # test run. This also requires handling some gemspecs.
+ sed -e "/\(system_timer\|sdoc\|w3c_validators\|pg\|execjs\|jquery-rails\|mysql2\|journey\|ruby-prof\|stackprof\|benchmark-ips\|kindlerb\|turbolinks\|coffee-rails\|sass-rails\|debugger\|sprockets-rails\|redcarpet\|bcrypt\|uglifier\|sprockets\|stackprof\|websocket-client-simple\|libxml-ruby\|redis\|blade\|aws-sdk\|google-cloud\|azure-storage\|selenium\|webdrivers\|webrick\|minitest-bisect\|minitest-retry\|minitest-reporters\|listen\|rack-cache\|capybara\|webpacker\|bootsnap\|dalli\|connection_pool\)/ s:^:#:" \
+ -e '/stimulus-rails/,/tailwindcss-rails/ s:^:#:' \
+ -e '/group :\(cable\|doc\|job\|rubocop\|storage\|test\)/,/^end/ s:^:#:' \
+ -e '10igem "mail", "< 2.8"' \
+ -i ../Gemfile || die
+ rm ../Gemfile.lock || die
+ sed -i -e '/byebug/ s:^:#:' test/test_helper.rb || die
+}
+
+each_ruby_prepare() {
+ sed -i -e 's:ruby:'${RUBY}':' test/dummy/bin/* || die
+}
diff --git a/dev-ruby/actionmailer/Manifest b/dev-ruby/actionmailer/Manifest
index fb3ed3825b28..20fa7b9339d7 100644
--- a/dev-ruby/actionmailer/Manifest
+++ b/dev-ruby/actionmailer/Manifest
@@ -2,6 +2,8 @@ DIST rails-6.0.5.1.tgz 18607954 BLAKE2B 74f75399a287f1eae199a5764c952b75dd95a02c
DIST rails-6.0.6.1.tgz 18608328 BLAKE2B 10e6cb2d23acb75c95c25e2e6cc62de05c9c89f249c6cb9abffdd3a6ed83eb1dca996e6ef56a92cf77dddd3f8f9373ad947690015fb7966ddc599c995cea1121 SHA512 6873354fe2f8b9bf8bc12c7e6affda4300c158ee825f996eea6032a70f9532009d8f626d2736af22a452c8a3b331d1252ff19666e021150bfae2a8d575890c27
DIST rails-6.1.6.1.tgz 11028264 BLAKE2B 568033eb816613ba0ba5f2df38e6a30158b2e31ef4d4da151f8c0de2934b07736833026793ce9192994d9ef2a2a45b67735a35760c1be8b8a68c1968147cc6db SHA512 04acf9dbf5ee734636aada67be001690899eb13f73ea688455fcaee8cbf4839aedf06943c8adb5eecf13fd9a5f6be1a225310aa481d3a254172fd0ce0402362f
DIST rails-6.1.7.2.tgz 11037081 BLAKE2B 0004f4bc8b2370119cbe0f6a9133278ae78b1d274f040f08d18edd06696e6fcc609154a042c68b77e11893fbef83ec8eabd9f1e2c28920269189ee1352a0695a SHA512 f667904b0d3ffda3579e5046da3b36c242581bacf140966bf1dc59fc7ea91f34f4affc76b0d6cfad4b80f0332aeec5fc8ab35fb793fc935f1d1b4fe6d18ce1de
+DIST rails-6.1.7.3.tgz 11038169 BLAKE2B 7e379b9ae3b63cb78638c1e0817ff40dc8aad79ba76b6d82310fbb4d6f5ef3dab4f252de9e49766143b828bfbce2ef7c9db3f108b5406708b61a83aeda47ea74 SHA512 fb84516a6cf370109bf45f2162161d23f375d7dc10249ed10200c74ec402129b07ac0e59bcde98a74eb499769a0cdd937af691edaabe44e061262d5510adc02e
DIST rails-6.1.7.tgz 11038670 BLAKE2B fd25884a6f58f10387f1f89ffd39caad337d7a3af6902f9ccdcf4eb108f9355124b6e1004d8b8f2b625ac7d9cfcd8635e7668101a1cba5d866a5fbe1b691e6e2 SHA512 7d56f604fbc2fb83a2e3a4ee070f55fb285018a48584115e0bf19982553eb5b78a173a5adbf1879e88c0739bea9dccc66879646da5c0b141b24f1500e1bdcb5f
DIST rails-7.0.4.2.tgz 11063555 BLAKE2B f8a862ce91a356dad702a44f1e36f8910e91481770118343c13fa00e40d57cd208ebea83e5adc0154927ef62b3f8461ded82c4e5097089fb1d872c2247feba44 SHA512 9fb80e9ec6e9edcf049635eb436c2fdb418cbdea47a6d82fefa7606e9bd14f2785b1c4445f08848692474db7ee3eb309ab26aabc5f3ba6847457d8dfd8802689
+DIST rails-7.0.4.3.tgz 11063764 BLAKE2B 389fd3a00bfff4ebda70cf5ec473942883048783b716ede1787a510d3b7b91f4e844dce4dde5ef643cb9611b1b3aa712f1ba5ebefb9e5a84e307a151b2e40bcf SHA512 2c817a0a58ae52f99686d8cd0de84f01e3d7ec05afc95d07910b3b5bf86d8162b06102893b2cbc14859b95a07eca6882a707956c87d437794697df7a18fa3c16
DIST rails-7.0.4.tgz 11061225 BLAKE2B 9c520766f936c82ae9ee943c3db0ad575d7fc59aea947fb2790cf511188fbd33166a62332564c4714372203f5fabdde842334103b48f4115c31f5d0fe18375f1 SHA512 118035226054ad5083d2affde55a812917652491f82a9a578380a790770fdda3a14904f6de10f58651bbbab278aa23920b652aa1b34c71441d465c3b7b4be82c
diff --git a/dev-ruby/actionmailer/actionmailer-6.1.7.3.ebuild b/dev-ruby/actionmailer/actionmailer-6.1.7.3.ebuild
new file mode 100644
index 000000000000..fd3ed9d165b5
--- /dev/null
+++ b/dev-ruby/actionmailer/actionmailer-6.1.7.3.ebuild
@@ -0,0 +1,46 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+USE_RUBY="ruby27 ruby30 ruby31"
+
+RUBY_FAKEGEM_RECIPE_DOC="none"
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.rdoc"
+
+RUBY_FAKEGEM_GEMSPEC="actionmailer.gemspec"
+
+RUBY_FAKEGEM_BINWRAP=""
+
+inherit ruby-fakegem
+
+DESCRIPTION="Framework for designing email-service layers"
+HOMEPAGE="https://github.com/rails/rails"
+SRC_URI="https://github.com/rails/rails/archive/v${PV}.tar.gz -> rails-${PV}.tgz"
+
+LICENSE="MIT"
+SLOT="$(ver_cut 1-2)"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~x86"
+IUSE=""
+
+RUBY_S="rails-${PV}/${PN}"
+
+ruby_add_rdepend "
+ ~dev-ruby/actionpack-${PV}
+ ~dev-ruby/actionview-${PV}
+ ~dev-ruby/activejob-${PV}
+ >=dev-ruby/mail-2.5.4:* =dev-ruby/mail-2*:*
+ dev-ruby/rails-dom-testing:2"
+
+ruby_add_bdepend "test? (
+ dev-ruby/mocha
+)"
+
+all_ruby_prepare() {
+ # Set test environment to our hand.
+ rm "${S}/../Gemfile" || die "Unable to remove Gemfile"
+ sed -i -e '/\/load_paths/d' test/abstract_unit.rb || die "Unable to remove load paths"
+
+ # Avoid a test failing only on attachment ordering, since this is a
+ # security release.
+ sed -i -e '/adding inline attachments while rendering mail works/askip "gentoo: fails on ordering"' test/base_test.rb || die
+}
diff --git a/dev-ruby/actionmailer/actionmailer-7.0.4.3.ebuild b/dev-ruby/actionmailer/actionmailer-7.0.4.3.ebuild
new file mode 100644
index 000000000000..e287b380286b
--- /dev/null
+++ b/dev-ruby/actionmailer/actionmailer-7.0.4.3.ebuild
@@ -0,0 +1,46 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+USE_RUBY="ruby27 ruby30 ruby31"
+
+RUBY_FAKEGEM_RECIPE_DOC="none"
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.rdoc"
+
+RUBY_FAKEGEM_GEMSPEC="actionmailer.gemspec"
+
+RUBY_FAKEGEM_BINWRAP=""
+
+inherit ruby-fakegem
+
+DESCRIPTION="Framework for designing email-service layers"
+HOMEPAGE="https://github.com/rails/rails"
+SRC_URI="https://github.com/rails/rails/archive/v${PV}.tar.gz -> rails-${PV}.tgz"
+
+LICENSE="MIT"
+SLOT="$(ver_cut 1-2)"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~riscv ~x86"
+IUSE=""
+
+RUBY_S="rails-${PV}/${PN}"
+
+ruby_add_rdepend "
+ ~dev-ruby/actionpack-${PV}
+ ~dev-ruby/actionview-${PV}
+ ~dev-ruby/activejob-${PV}
+ >=dev-ruby/mail-2.5.4:* =dev-ruby/mail-2*:*
+ dev-ruby/rails-dom-testing:2"
+
+ruby_add_bdepend "test? (
+ dev-ruby/mocha
+)"
+
+all_ruby_prepare() {
+ # Set test environment to our hand.
+ rm "${S}/../Gemfile" || die "Unable to remove Gemfile"
+ sed -i -e '/\/load_paths/d' test/abstract_unit.rb || die "Unable to remove load paths"
+
+ # Avoid a test failing only on attachment ordering, since this is a
+ # security release.
+ sed -i -e '/adding inline attachments while rendering mail works/askip "gentoo: fails on ordering"' test/base_test.rb || die
+}
diff --git a/dev-ruby/actionpack/Manifest b/dev-ruby/actionpack/Manifest
index fb3ed3825b28..20fa7b9339d7 100644
--- a/dev-ruby/actionpack/Manifest
+++ b/dev-ruby/actionpack/Manifest
@@ -2,6 +2,8 @@ DIST rails-6.0.5.1.tgz 18607954 BLAKE2B 74f75399a287f1eae199a5764c952b75dd95a02c
DIST rails-6.0.6.1.tgz 18608328 BLAKE2B 10e6cb2d23acb75c95c25e2e6cc62de05c9c89f249c6cb9abffdd3a6ed83eb1dca996e6ef56a92cf77dddd3f8f9373ad947690015fb7966ddc599c995cea1121 SHA512 6873354fe2f8b9bf8bc12c7e6affda4300c158ee825f996eea6032a70f9532009d8f626d2736af22a452c8a3b331d1252ff19666e021150bfae2a8d575890c27
DIST rails-6.1.6.1.tgz 11028264 BLAKE2B 568033eb816613ba0ba5f2df38e6a30158b2e31ef4d4da151f8c0de2934b07736833026793ce9192994d9ef2a2a45b67735a35760c1be8b8a68c1968147cc6db SHA512 04acf9dbf5ee734636aada67be001690899eb13f73ea688455fcaee8cbf4839aedf06943c8adb5eecf13fd9a5f6be1a225310aa481d3a254172fd0ce0402362f
DIST rails-6.1.7.2.tgz 11037081 BLAKE2B 0004f4bc8b2370119cbe0f6a9133278ae78b1d274f040f08d18edd06696e6fcc609154a042c68b77e11893fbef83ec8eabd9f1e2c28920269189ee1352a0695a SHA512 f667904b0d3ffda3579e5046da3b36c242581bacf140966bf1dc59fc7ea91f34f4affc76b0d6cfad4b80f0332aeec5fc8ab35fb793fc935f1d1b4fe6d18ce1de
+DIST rails-6.1.7.3.tgz 11038169 BLAKE2B 7e379b9ae3b63cb78638c1e0817ff40dc8aad79ba76b6d82310fbb4d6f5ef3dab4f252de9e49766143b828bfbce2ef7c9db3f108b5406708b61a83aeda47ea74 SHA512 fb84516a6cf370109bf45f2162161d23f375d7dc10249ed10200c74ec402129b07ac0e59bcde98a74eb499769a0cdd937af691edaabe44e061262d5510adc02e
DIST rails-6.1.7.tgz 11038670 BLAKE2B fd25884a6f58f10387f1f89ffd39caad337d7a3af6902f9ccdcf4eb108f9355124b6e1004d8b8f2b625ac7d9cfcd8635e7668101a1cba5d866a5fbe1b691e6e2 SHA512 7d56f604fbc2fb83a2e3a4ee070f55fb285018a48584115e0bf19982553eb5b78a173a5adbf1879e88c0739bea9dccc66879646da5c0b141b24f1500e1bdcb5f
DIST rails-7.0.4.2.tgz 11063555 BLAKE2B f8a862ce91a356dad702a44f1e36f8910e91481770118343c13fa00e40d57cd208ebea83e5adc0154927ef62b3f8461ded82c4e5097089fb1d872c2247feba44 SHA512 9fb80e9ec6e9edcf049635eb436c2fdb418cbdea47a6d82fefa7606e9bd14f2785b1c4445f08848692474db7ee3eb309ab26aabc5f3ba6847457d8dfd8802689
+DIST rails-7.0.4.3.tgz 11063764 BLAKE2B 389fd3a00bfff4ebda70cf5ec473942883048783b716ede1787a510d3b7b91f4e844dce4dde5ef643cb9611b1b3aa712f1ba5ebefb9e5a84e307a151b2e40bcf SHA512 2c817a0a58ae52f99686d8cd0de84f01e3d7ec05afc95d07910b3b5bf86d8162b06102893b2cbc14859b95a07eca6882a707956c87d437794697df7a18fa3c16
DIST rails-7.0.4.tgz 11061225 BLAKE2B 9c520766f936c82ae9ee943c3db0ad575d7fc59aea947fb2790cf511188fbd33166a62332564c4714372203f5fabdde842334103b48f4115c31f5d0fe18375f1 SHA512 118035226054ad5083d2affde55a812917652491f82a9a578380a790770fdda3a14904f6de10f58651bbbab278aa23920b652aa1b34c71441d465c3b7b4be82c
diff --git a/dev-ruby/actionpack/actionpack-6.1.7.3.ebuild b/dev-ruby/actionpack/actionpack-6.1.7.3.ebuild
new file mode 100644
index 000000000000..6a68dd1f5eda
--- /dev/null
+++ b/dev-ruby/actionpack/actionpack-6.1.7.3.ebuild
@@ -0,0 +1,70 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby27 ruby30 ruby31"
+
+RUBY_FAKEGEM_RECIPE_DOC="none"
+RUBY_FAKEGEM_DOCDIR="doc"
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.rdoc"
+
+RUBY_FAKEGEM_GEMSPEC="actionpack.gemspec"
+
+RUBY_FAKEGEM_BINWRAP=""
+
+inherit ruby-fakegem
+
+DESCRIPTION="Eases web-request routing, handling, and response"
+HOMEPAGE="https://github.com/rails/rails"
+SRC_URI="https://github.com/rails/rails/archive/v${PV}.tar.gz -> rails-${PV}.tgz"
+
+LICENSE="MIT"
+SLOT="$(ver_cut 1-2)"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~riscv ~x86"
+IUSE=""
+
+RUBY_S="rails-${PV}/${PN}"
+
+ruby_add_rdepend "
+ ~dev-ruby/activesupport-${PV}
+ ~dev-ruby/actionview-${PV}
+ dev-ruby/rack:2.2
+ >=dev-ruby/rack-test-0.6.3:*
+ >=dev-ruby/rails-html-sanitizer-1.2.0:1
+ dev-ruby/rails-dom-testing:2
+"
+
+ruby_add_bdepend "
+ test? (
+ dev-ruby/mocha:0.14
+ dev-ruby/bundler
+ >=dev-ruby/capybara-2.15
+ ~dev-ruby/activemodel-${PV}
+ ~dev-ruby/railties-${PV}
+ >=dev-ruby/rack-cache-1.2:1.2
+ www-servers/puma
+ <dev-ruby/minitest-5.16:5
+ )"
+
+all_ruby_prepare() {
+ eapply "${FILESDIR}/actionpack-7.0.4-rack-test-2.patch"
+
+ # Remove items from the common Gemfile that we don't need for this
+ # test run. This also requires handling some gemspecs.
+ sed -i -e "/\(system_timer\|sdoc\|w3c_validators\|pg\|execjs\|jquery-rails\|'mysql'\|journey\|ruby-prof\|stackprof\|benchmark-ips\|kindlerb\|turbolinks\|coffee-rails\|debugger\|sprockets-rails\|redcarpet\|bcrypt\|uglifier\|sprockets\|stackprof\)/ s:^:#:" \
+ -e '/:job/,/end/ s:^:#:' \
+ -e '/group :doc/,/^end/ s:^:#:' ../Gemfile || die
+ rm ../Gemfile.lock || die
+
+ sed -i -e '3igem "railties", "~> 6.1.0"; gem "activerecord", "~> 6.1.0"' test/abstract_unit.rb || die
+
+ # Use different timezone notation, this changed at some point due to an external dependency changing.
+ sed -i -e 's/-0000/GMT/' test/dispatch/response_test.rb test/dispatch/cookies_test.rb test/dispatch/session/cookie_store_test.rb || die
+
+ # Avoid tests depending on an unreleased version of selenium-webdriver
+ sed -i -e '/define extra capabilities/,/^ end/ s:^:#:' test/dispatch/system_testing/driver_test.rb || die
+
+ # Avoid tests that fail with a fixed cgi.rb version
+ sed -i -e '/test_session_store_with_all_domains/askip "Fails with fixed cgi.rb"' test/dispatch/session/cookie_store_test.rb || die
+}
diff --git a/dev-ruby/actionpack/actionpack-7.0.4.3.ebuild b/dev-ruby/actionpack/actionpack-7.0.4.3.ebuild
new file mode 100644
index 000000000000..9c4b458405f5
--- /dev/null
+++ b/dev-ruby/actionpack/actionpack-7.0.4.3.ebuild
@@ -0,0 +1,68 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby27 ruby30 ruby31"
+
+RUBY_FAKEGEM_RECIPE_DOC="none"
+RUBY_FAKEGEM_DOCDIR="doc"
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.rdoc"
+
+RUBY_FAKEGEM_GEMSPEC="actionpack.gemspec"
+
+RUBY_FAKEGEM_BINWRAP=""
+
+inherit ruby-fakegem
+
+DESCRIPTION="Eases web-request routing, handling, and response"
+HOMEPAGE="https://github.com/rails/rails"
+SRC_URI="https://github.com/rails/rails/archive/v${PV}.tar.gz -> rails-${PV}.tgz"
+
+LICENSE="MIT"
+SLOT="$(ver_cut 1-2)"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~riscv ~x86"
+IUSE=""
+
+RUBY_S="rails-${PV}/${PN}"
+
+ruby_add_rdepend "
+ ~dev-ruby/activesupport-${PV}
+ ~dev-ruby/actionview-${PV}
+ dev-ruby/rack:2.2
+ >=dev-ruby/rack-test-0.6.3:*
+ >=dev-ruby/rails-html-sanitizer-1.2.0:1
+ dev-ruby/rails-dom-testing:2
+"
+
+ruby_add_bdepend "
+ test? (
+ dev-ruby/mocha:0.14
+ dev-ruby/bundler
+ >=dev-ruby/capybara-2.15
+ ~dev-ruby/activemodel-${PV}
+ ~dev-ruby/railties-${PV}
+ >=dev-ruby/rack-cache-1.2:1.2
+ dev-ruby/selenium-webdriver:4
+ www-servers/puma
+ <dev-ruby/minitest-5.16:5
+ )"
+
+all_ruby_prepare() {
+ eapply "${FILESDIR}/actionpack-7.0.4-rack-test-2.patch"
+
+ # Remove items from the common Gemfile that we don't need for this
+ # test run. This also requires handling some gemspecs.
+ sed -i -e "/\(system_timer\|sdoc\|w3c_validators\|pg\|execjs\|jquery-rails\|'mysql'\|journey\|ruby-prof\|stackprof\|benchmark-ips\|kindlerb\|turbolinks\|coffee-rails\|debugger\|sprockets-rails\|redcarpet\|bcrypt\|uglifier\|sprockets\|stackprof\)/ s:^:#:" \
+ -e '/:job/,/end/ s:^:#:' \
+ -e '/group :doc/,/^end/ s:^:#:' ../Gemfile || die
+ rm ../Gemfile.lock || die
+
+ sed -i -e '1igem "rack", "<3"' test/abstract_unit.rb || die
+
+ # Use different timezone notation, this changed at some point due to an external dependency changing.
+ sed -i -e 's/-0000/GMT/' test/dispatch/response_test.rb test/dispatch/cookies_test.rb test/dispatch/session/cookie_store_test.rb || die
+
+ # Avoid tests that fail with a fixed cgi.rb version
+ sed -i -e '/test_session_store_with_all_domains/askip "Fails with fixed cgi.rb"' test/dispatch/session/cookie_store_test.rb || die
+}
diff --git a/dev-ruby/actiontext/Manifest b/dev-ruby/actiontext/Manifest
index fb3ed3825b28..20fa7b9339d7 100644
--- a/dev-ruby/actiontext/Manifest
+++ b/dev-ruby/actiontext/Manifest
@@ -2,6 +2,8 @@ DIST rails-6.0.5.1.tgz 18607954 BLAKE2B 74f75399a287f1eae199a5764c952b75dd95a02c
DIST rails-6.0.6.1.tgz 18608328 BLAKE2B 10e6cb2d23acb75c95c25e2e6cc62de05c9c89f249c6cb9abffdd3a6ed83eb1dca996e6ef56a92cf77dddd3f8f9373ad947690015fb7966ddc599c995cea1121 SHA512 6873354fe2f8b9bf8bc12c7e6affda4300c158ee825f996eea6032a70f9532009d8f626d2736af22a452c8a3b331d1252ff19666e021150bfae2a8d575890c27
DIST rails-6.1.6.1.tgz 11028264 BLAKE2B 568033eb816613ba0ba5f2df38e6a30158b2e31ef4d4da151f8c0de2934b07736833026793ce9192994d9ef2a2a45b67735a35760c1be8b8a68c1968147cc6db SHA512 04acf9dbf5ee734636aada67be001690899eb13f73ea688455fcaee8cbf4839aedf06943c8adb5eecf13fd9a5f6be1a225310aa481d3a254172fd0ce0402362f
DIST rails-6.1.7.2.tgz 11037081 BLAKE2B 0004f4bc8b2370119cbe0f6a9133278ae78b1d274f040f08d18edd06696e6fcc609154a042c68b77e11893fbef83ec8eabd9f1e2c28920269189ee1352a0695a SHA512 f667904b0d3ffda3579e5046da3b36c242581bacf140966bf1dc59fc7ea91f34f4affc76b0d6cfad4b80f0332aeec5fc8ab35fb793fc935f1d1b4fe6d18ce1de
+DIST rails-6.1.7.3.tgz 11038169 BLAKE2B 7e379b9ae3b63cb78638c1e0817ff40dc8aad79ba76b6d82310fbb4d6f5ef3dab4f252de9e49766143b828bfbce2ef7c9db3f108b5406708b61a83aeda47ea74 SHA512 fb84516a6cf370109bf45f2162161d23f375d7dc10249ed10200c74ec402129b07ac0e59bcde98a74eb499769a0cdd937af691edaabe44e061262d5510adc02e
DIST rails-6.1.7.tgz 11038670 BLAKE2B fd25884a6f58f10387f1f89ffd39caad337d7a3af6902f9ccdcf4eb108f9355124b6e1004d8b8f2b625ac7d9cfcd8635e7668101a1cba5d866a5fbe1b691e6e2 SHA512 7d56f604fbc2fb83a2e3a4ee070f55fb285018a48584115e0bf19982553eb5b78a173a5adbf1879e88c0739bea9dccc66879646da5c0b141b24f1500e1bdcb5f
DIST rails-7.0.4.2.tgz 11063555 BLAKE2B f8a862ce91a356dad702a44f1e36f8910e91481770118343c13fa00e40d57cd208ebea83e5adc0154927ef62b3f8461ded82c4e5097089fb1d872c2247feba44 SHA512 9fb80e9ec6e9edcf049635eb436c2fdb418cbdea47a6d82fefa7606e9bd14f2785b1c4445f08848692474db7ee3eb309ab26aabc5f3ba6847457d8dfd8802689
+DIST rails-7.0.4.3.tgz 11063764 BLAKE2B 389fd3a00bfff4ebda70cf5ec473942883048783b716ede1787a510d3b7b91f4e844dce4dde5ef643cb9611b1b3aa712f1ba5ebefb9e5a84e307a151b2e40bcf SHA512 2c817a0a58ae52f99686d8cd0de84f01e3d7ec05afc95d07910b3b5bf86d8162b06102893b2cbc14859b95a07eca6882a707956c87d437794697df7a18fa3c16
DIST rails-7.0.4.tgz 11061225 BLAKE2B 9c520766f936c82ae9ee943c3db0ad575d7fc59aea947fb2790cf511188fbd33166a62332564c4714372203f5fabdde842334103b48f4115c31f5d0fe18375f1 SHA512 118035226054ad5083d2affde55a812917652491f82a9a578380a790770fdda3a14904f6de10f58651bbbab278aa23920b652aa1b34c71441d465c3b7b4be82c
diff --git a/dev-ruby/actiontext/actiontext-6.1.7.3.ebuild b/dev-ruby/actiontext/actiontext-6.1.7.3.ebuild
new file mode 100644
index 000000000000..9e1a1218c361
--- /dev/null
+++ b/dev-ruby/actiontext/actiontext-6.1.7.3.ebuild
@@ -0,0 +1,53 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+USE_RUBY="ruby27 ruby30"
+
+RUBY_FAKEGEM_RECIPE_DOC="none"
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.md"
+
+RUBY_FAKEGEM_GEMSPEC="actiontext.gemspec"
+
+RUBY_FAKEGEM_BINWRAP=""
+RUBY_FAKEGEM_EXTRAINSTALL="app db package.json"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Edit and display rich text in Rails applications"
+HOMEPAGE="https://github.com/rails/rails"
+SRC_URI="https://github.com/rails/rails/archive/v${PV}.tar.gz -> rails-${PV}.tgz"
+
+LICENSE="MIT"
+SLOT="$(ver_cut 1-2)"
+KEYWORDS="~amd64 ~ppc ~ppc64 ~riscv ~x86"
+IUSE=""
+
+RUBY_S="rails-${PV}/${PN}"
+
+ruby_add_rdepend "
+ ~dev-ruby/actionpack-${PV}
+ ~dev-ruby/activerecord-${PV}
+ ~dev-ruby/activestorage-${PV}
+ ~dev-ruby/activesupport-${PV}
+ >=dev-ruby/nokogiri-1.8.5
+"
+
+ruby_add_bdepend "test? (
+ dev-ruby/bundler
+ dev-ruby/mocha
+)"
+
+all_ruby_prepare() {
+ # Remove items from the common Gemfile that we don't need for this
+ # test run. This also requires handling some gemspecs.
+ sed -e "/\(system_timer\|sdoc\|w3c_validators\|pg\|execjs\|jquery-rails\|mysql2\|journey\|ruby-prof\|stackprof\|benchmark-ips\|kindlerb\|turbolinks\|coffee-rails\|sass-rails\|debugger\|sprockets-rails\|redcarpet\|bcrypt\|uglifier\|sprockets\|stackprof\|websocket-client-simple\|libxml-ruby\|redis\|blade\|aws-sdk\|google-cloud\|azure-storage\|selenium\|webpacker\|webrick\|webmock\|webdrivers\|minitest-bisect\|minitest-retry\|minitest-reporters\|listen\|rack-cache\|bootsnap\|capybara\|dalli\|connection_pool\)/ s:^:#:" \
+ -e '/:job/,/end/ s:^:#:' \
+ -e '/group :\(cable\|doc\|rubocop\|storage\|test\)/,/^end/ s:^:#:' \
+ -i ../Gemfile || die
+ rm ../Gemfile.lock || die
+}
+
+each_ruby_prepare() {
+ sed -i -e 's:ruby:'${RUBY}':' test/dummy/bin/* || die
+}
diff --git a/dev-ruby/actiontext/actiontext-7.0.4.3.ebuild b/dev-ruby/actiontext/actiontext-7.0.4.3.ebuild
new file mode 100644
index 000000000000..c0eeb02f7a0f
--- /dev/null
+++ b/dev-ruby/actiontext/actiontext-7.0.4.3.ebuild
@@ -0,0 +1,56 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+USE_RUBY="ruby27 ruby30"
+
+RUBY_FAKEGEM_RECIPE_DOC="none"
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.md"
+
+RUBY_FAKEGEM_GEMSPEC="actiontext.gemspec"
+
+RUBY_FAKEGEM_BINWRAP=""
+RUBY_FAKEGEM_EXTRAINSTALL="app db package.json"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Edit and display rich text in Rails applications"
+HOMEPAGE="https://github.com/rails/rails"
+SRC_URI="https://github.com/rails/rails/archive/v${PV}.tar.gz -> rails-${PV}.tgz"
+
+LICENSE="MIT"
+SLOT="$(ver_cut 1-2)"
+KEYWORDS="~amd64 ~ppc64 ~riscv"
+IUSE=""
+
+RUBY_S="rails-${PV}/${PN}"
+
+ruby_add_rdepend "
+ ~dev-ruby/actionpack-${PV}
+ ~dev-ruby/activerecord-${PV}
+ ~dev-ruby/activestorage-${PV}
+ ~dev-ruby/activesupport-${PV}
+ >=dev-ruby/globalid-0.6.0
+ >=dev-ruby/nokogiri-1.8.5
+"
+
+ruby_add_bdepend "test? (
+ dev-ruby/bundler
+ dev-ruby/mocha
+ dev-ruby/propshaft
+)"
+
+all_ruby_prepare() {
+ # Remove items from the common Gemfile that we don't need for this
+ # test run. This also requires handling some gemspecs.
+ sed -e "/\(system_timer\|sdoc\|w3c_validators\|pg\|execjs\|jquery-rails\|mysql2\|journey\|ruby-prof\|stackprof\|benchmark-ips\|kindlerb\|turbolinks\|coffee-rails\|sass-rails\|debugger\|sprockets-rails\|redcarpet\|bcrypt\|uglifier\|sprockets\|stackprof\|websocket-client-simple\|libxml-ruby\|redis\|blade\|aws-sdk\|google-cloud\|azure-storage\|selenium\|webpacker\|webrick\|webmock\|webdrivers\|minitest-bisect\|minitest-retry\|minitest-reporters\|listen\|rack-cache\|bootsnap\|capybara\|dalli\|connection_pool\)/ s:^:#:" \
+ -e '/stimulus-rails/,/tailwindcss-rails/ s:^:#:' \
+ -e '/:job/,/end/ s:^:#:' \
+ -e '/group :\(cable\|doc\|rubocop\|storage\|test\)/,/^end/ s:^:#:' \
+ -i ../Gemfile || die
+ rm ../Gemfile.lock || die
+}
+
+each_ruby_prepare() {
+ sed -i -e 's:ruby:'${RUBY}':' test/dummy/bin/* || die
+}
diff --git a/dev-ruby/actionview/Manifest b/dev-ruby/actionview/Manifest
index fb3ed3825b28..20fa7b9339d7 100644
--- a/dev-ruby/actionview/Manifest
+++ b/dev-ruby/actionview/Manifest
@@ -2,6 +2,8 @@ DIST rails-6.0.5.1.tgz 18607954 BLAKE2B 74f75399a287f1eae199a5764c952b75dd95a02c
DIST rails-6.0.6.1.tgz 18608328 BLAKE2B 10e6cb2d23acb75c95c25e2e6cc62de05c9c89f249c6cb9abffdd3a6ed83eb1dca996e6ef56a92cf77dddd3f8f9373ad947690015fb7966ddc599c995cea1121 SHA512 6873354fe2f8b9bf8bc12c7e6affda4300c158ee825f996eea6032a70f9532009d8f626d2736af22a452c8a3b331d1252ff19666e021150bfae2a8d575890c27
DIST rails-6.1.6.1.tgz 11028264 BLAKE2B 568033eb816613ba0ba5f2df38e6a30158b2e31ef4d4da151f8c0de2934b07736833026793ce9192994d9ef2a2a45b67735a35760c1be8b8a68c1968147cc6db SHA512 04acf9dbf5ee734636aada67be001690899eb13f73ea688455fcaee8cbf4839aedf06943c8adb5eecf13fd9a5f6be1a225310aa481d3a254172fd0ce0402362f
DIST rails-6.1.7.2.tgz 11037081 BLAKE2B 0004f4bc8b2370119cbe0f6a9133278ae78b1d274f040f08d18edd06696e6fcc609154a042c68b77e11893fbef83ec8eabd9f1e2c28920269189ee1352a0695a SHA512 f667904b0d3ffda3579e5046da3b36c242581bacf140966bf1dc59fc7ea91f34f4affc76b0d6cfad4b80f0332aeec5fc8ab35fb793fc935f1d1b4fe6d18ce1de
+DIST rails-6.1.7.3.tgz 11038169 BLAKE2B 7e379b9ae3b63cb78638c1e0817ff40dc8aad79ba76b6d82310fbb4d6f5ef3dab4f252de9e49766143b828bfbce2ef7c9db3f108b5406708b61a83aeda47ea74 SHA512 fb84516a6cf370109bf45f2162161d23f375d7dc10249ed10200c74ec402129b07ac0e59bcde98a74eb499769a0cdd937af691edaabe44e061262d5510adc02e
DIST rails-6.1.7.tgz 11038670 BLAKE2B fd25884a6f58f10387f1f89ffd39caad337d7a3af6902f9ccdcf4eb108f9355124b6e1004d8b8f2b625ac7d9cfcd8635e7668101a1cba5d866a5fbe1b691e6e2 SHA512 7d56f604fbc2fb83a2e3a4ee070f55fb285018a48584115e0bf19982553eb5b78a173a5adbf1879e88c0739bea9dccc66879646da5c0b141b24f1500e1bdcb5f
DIST rails-7.0.4.2.tgz 11063555 BLAKE2B f8a862ce91a356dad702a44f1e36f8910e91481770118343c13fa00e40d57cd208ebea83e5adc0154927ef62b3f8461ded82c4e5097089fb1d872c2247feba44 SHA512 9fb80e9ec6e9edcf049635eb436c2fdb418cbdea47a6d82fefa7606e9bd14f2785b1c4445f08848692474db7ee3eb309ab26aabc5f3ba6847457d8dfd8802689
+DIST rails-7.0.4.3.tgz 11063764 BLAKE2B 389fd3a00bfff4ebda70cf5ec473942883048783b716ede1787a510d3b7b91f4e844dce4dde5ef643cb9611b1b3aa712f1ba5ebefb9e5a84e307a151b2e40bcf SHA512 2c817a0a58ae52f99686d8cd0de84f01e3d7ec05afc95d07910b3b5bf86d8162b06102893b2cbc14859b95a07eca6882a707956c87d437794697df7a18fa3c16
DIST rails-7.0.4.tgz 11061225 BLAKE2B 9c520766f936c82ae9ee943c3db0ad575d7fc59aea947fb2790cf511188fbd33166a62332564c4714372203f5fabdde842334103b48f4115c31f5d0fe18375f1 SHA512 118035226054ad5083d2affde55a812917652491f82a9a578380a790770fdda3a14904f6de10f58651bbbab278aa23920b652aa1b34c71441d465c3b7b4be82c
diff --git a/dev-ruby/actionview/actionview-6.1.7.3.ebuild b/dev-ruby/actionview/actionview-6.1.7.3.ebuild
new file mode 100644
index 000000000000..a265b5bacdaa
--- /dev/null
+++ b/dev-ruby/actionview/actionview-6.1.7.3.ebuild
@@ -0,0 +1,66 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby27 ruby30 ruby31"
+
+RUBY_FAKEGEM_RECIPE_DOC="none"
+RUBY_FAKEGEM_DOCDIR="doc"
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.rdoc"
+
+RUBY_FAKEGEM_GEMSPEC="${PN}.gemspec"
+
+RUBY_FAKEGEM_EXTRAINSTALL="app"
+
+RUBY_FAKEGEM_BINWRAP=""
+
+inherit ruby-fakegem
+
+DESCRIPTION="Simple, battle-tested conventions and helpers for building web pages"
+HOMEPAGE="https://github.com/rails/rails/"
+SRC_URI="https://github.com/rails/rails/archive/v${PV}.tar.gz -> rails-${PV}.tgz"
+
+LICENSE="MIT"
+SLOT="$(ver_cut 1-2)"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~riscv ~x86"
+IUSE=""
+
+RUBY_S="rails-${PV}/${PN}"
+
+ruby_add_rdepend "
+ ~dev-ruby/activesupport-${PV}
+ >=dev-ruby/builder-3.1:* =dev-ruby/builder-3*:*
+ >=dev-ruby/erubi-1.4:0
+ >=dev-ruby/rails-html-sanitizer-1.2.0:1
+ dev-ruby/rails-dom-testing:2
+"
+
+ruby_add_bdepend "
+ test? (
+ dev-ruby/mocha
+ ~dev-ruby/actionpack-${PV}
+ ~dev-ruby/activemodel-${PV}
+ ~dev-ruby/activerecord-${PV}
+ ~dev-ruby/railties-${PV}
+ dev-ruby/sqlite3
+ <dev-ruby/minitest-5.16:5
+ )"
+
+all_ruby_prepare() {
+ # Remove items from the common Gemfile that we don't need for this
+ # test run. This also requires handling some gemspecs.
+ sed -i -e "/\(system_timer\|sdoc\|w3c_validators\|pg\|execjs\|jquery-rails\|'mysql'\|journey\|rack-cache\|ruby-prof\|stackprof\|benchmark-ips\|kindlerb\|turbolinks\|coffee-rails\|debugger\|redcarpet\|bcrypt\|uglifier\|mime-types\|minitest\|sprockets\|stackprof\)/ s:^:#:" \
+ -e '/:job/,/end/ s:^:#:' \
+ -e '/group :doc/,/^end/ s:^:#:' ../Gemfile || die
+ rm ../Gemfile.lock || die
+
+ sed -i -e '3igem "railties", "~> 6.1.0"; gem "activerecord", "~> 6.1.0"' test/abstract_unit.rb || die
+
+ # Fix loading of activerecord integration tests. This avoids loading
+ # activerecord twice and thus redefining constants leading to
+ # failures. Bug #719342
+ sed -e '/abstract_unit/arequire "active_record" ; require "active_record/fixtures"' \
+ -e '/defined/ s/FixtureSet/ActiveRecord::FixtureSet/' \
+ -i test/active_record_unit.rb || die
+}
diff --git a/dev-ruby/actionview/actionview-7.0.4.3.ebuild b/dev-ruby/actionview/actionview-7.0.4.3.ebuild
new file mode 100644
index 000000000000..e97a678233fa
--- /dev/null
+++ b/dev-ruby/actionview/actionview-7.0.4.3.ebuild
@@ -0,0 +1,68 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby27 ruby30 ruby31"
+
+RUBY_FAKEGEM_RECIPE_DOC="none"
+RUBY_FAKEGEM_DOCDIR="doc"
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.rdoc"
+
+RUBY_FAKEGEM_GEMSPEC="${PN}.gemspec"
+
+RUBY_FAKEGEM_EXTRAINSTALL="app"
+
+RUBY_FAKEGEM_BINWRAP=""
+
+inherit ruby-fakegem
+
+DESCRIPTION="Simple, battle-tested conventions and helpers for building web pages"
+HOMEPAGE="https://github.com/rails/rails/"
+SRC_URI="https://github.com/rails/rails/archive/v${PV}.tar.gz -> rails-${PV}.tgz"
+
+LICENSE="MIT"
+SLOT="$(ver_cut 1-2)"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~riscv ~x86"
+IUSE=""
+
+RUBY_S="rails-${PV}/${PN}"
+
+ruby_add_rdepend "
+ ~dev-ruby/activesupport-${PV}
+ >=dev-ruby/builder-3.1:* =dev-ruby/builder-3*:*
+ >=dev-ruby/erubi-1.4:0
+ >=dev-ruby/rails-html-sanitizer-1.2.0:1
+ dev-ruby/rails-dom-testing:2
+"
+
+ruby_add_bdepend "
+ test? (
+ dev-ruby/mocha
+ ~dev-ruby/actionpack-${PV}
+ ~dev-ruby/activemodel-${PV}
+ ~dev-ruby/activerecord-${PV}
+ ~dev-ruby/railties-${PV}
+ dev-ruby/sqlite3
+ <dev-ruby/minitest-5.16:5
+ )"
+
+all_ruby_prepare() {
+ # Remove items from the common Gemfile that we don't need for this
+ # test run. This also requires handling some gemspecs.
+ sed -i -e "/\(system_timer\|sdoc\|w3c_validators\|pg\|execjs\|jquery-rails\|'mysql'\|journey\|rack-cache\|ruby-prof\|stackprof\|benchmark-ips\|kindlerb\|turbolinks\|coffee-rails\|debugger\|redcarpet\|bcrypt\|uglifier\|mime-types\|minitest\|sprockets\|stackprof\)/ s:^:#:" \
+ -e '/:job/,/end/ s:^:#:' \
+ -e '/group :doc/,/^end/ s:^:#:' ../Gemfile || die
+ rm ../Gemfile.lock || die
+
+ # Avoid tests failing due to missing logger setup in activerecord,
+ # most likely related to test environment setup.
+ #rm -f test/activerecord/render_partial_with_record_identification_test.rb || die
+
+ # Fix loading of activerecord integration tests. This avoids loading
+ # activerecord twice and thus redefining constants leading to
+ # failures. Bug #719342
+ sed -e '/abstract_unit/arequire "active_record" ; require "active_record/fixtures"' \
+ -e '/defined/ s/FixtureSet/ActiveRecord::FixtureSet/' \
+ -i test/active_record_unit.rb || die
+}
diff --git a/dev-ruby/activejob/Manifest b/dev-ruby/activejob/Manifest
index fb3ed3825b28..20fa7b9339d7 100644
--- a/dev-ruby/activejob/Manifest
+++ b/dev-ruby/activejob/Manifest
@@ -2,6 +2,8 @@ DIST rails-6.0.5.1.tgz 18607954 BLAKE2B 74f75399a287f1eae199a5764c952b75dd95a02c
DIST rails-6.0.6.1.tgz 18608328 BLAKE2B 10e6cb2d23acb75c95c25e2e6cc62de05c9c89f249c6cb9abffdd3a6ed83eb1dca996e6ef56a92cf77dddd3f8f9373ad947690015fb7966ddc599c995cea1121 SHA512 6873354fe2f8b9bf8bc12c7e6affda4300c158ee825f996eea6032a70f9532009d8f626d2736af22a452c8a3b331d1252ff19666e021150bfae2a8d575890c27
DIST rails-6.1.6.1.tgz 11028264 BLAKE2B 568033eb816613ba0ba5f2df38e6a30158b2e31ef4d4da151f8c0de2934b07736833026793ce9192994d9ef2a2a45b67735a35760c1be8b8a68c1968147cc6db SHA512 04acf9dbf5ee734636aada67be001690899eb13f73ea688455fcaee8cbf4839aedf06943c8adb5eecf13fd9a5f6be1a225310aa481d3a254172fd0ce0402362f
DIST rails-6.1.7.2.tgz 11037081 BLAKE2B 0004f4bc8b2370119cbe0f6a9133278ae78b1d274f040f08d18edd06696e6fcc609154a042c68b77e11893fbef83ec8eabd9f1e2c28920269189ee1352a0695a SHA512 f667904b0d3ffda3579e5046da3b36c242581bacf140966bf1dc59fc7ea91f34f4affc76b0d6cfad4b80f0332aeec5fc8ab35fb793fc935f1d1b4fe6d18ce1de
+DIST rails-6.1.7.3.tgz 11038169 BLAKE2B 7e379b9ae3b63cb78638c1e0817ff40dc8aad79ba76b6d82310fbb4d6f5ef3dab4f252de9e49766143b828bfbce2ef7c9db3f108b5406708b61a83aeda47ea74 SHA512 fb84516a6cf370109bf45f2162161d23f375d7dc10249ed10200c74ec402129b07ac0e59bcde98a74eb499769a0cdd937af691edaabe44e061262d5510adc02e
DIST rails-6.1.7.tgz 11038670 BLAKE2B fd25884a6f58f10387f1f89ffd39caad337d7a3af6902f9ccdcf4eb108f9355124b6e1004d8b8f2b625ac7d9cfcd8635e7668101a1cba5d866a5fbe1b691e6e2 SHA512 7d56f604fbc2fb83a2e3a4ee070f55fb285018a48584115e0bf19982553eb5b78a173a5adbf1879e88c0739bea9dccc66879646da5c0b141b24f1500e1bdcb5f
DIST rails-7.0.4.2.tgz 11063555 BLAKE2B f8a862ce91a356dad702a44f1e36f8910e91481770118343c13fa00e40d57cd208ebea83e5adc0154927ef62b3f8461ded82c4e5097089fb1d872c2247feba44 SHA512 9fb80e9ec6e9edcf049635eb436c2fdb418cbdea47a6d82fefa7606e9bd14f2785b1c4445f08848692474db7ee3eb309ab26aabc5f3ba6847457d8dfd8802689
+DIST rails-7.0.4.3.tgz 11063764 BLAKE2B 389fd3a00bfff4ebda70cf5ec473942883048783b716ede1787a510d3b7b91f4e844dce4dde5ef643cb9611b1b3aa712f1ba5ebefb9e5a84e307a151b2e40bcf SHA512 2c817a0a58ae52f99686d8cd0de84f01e3d7ec05afc95d07910b3b5bf86d8162b06102893b2cbc14859b95a07eca6882a707956c87d437794697df7a18fa3c16
DIST rails-7.0.4.tgz 11061225 BLAKE2B 9c520766f936c82ae9ee943c3db0ad575d7fc59aea947fb2790cf511188fbd33166a62332564c4714372203f5fabdde842334103b48f4115c31f5d0fe18375f1 SHA512 118035226054ad5083d2affde55a812917652491f82a9a578380a790770fdda3a14904f6de10f58651bbbab278aa23920b652aa1b34c71441d465c3b7b4be82c
diff --git a/dev-ruby/activejob/activejob-6.1.7.3.ebuild b/dev-ruby/activejob/activejob-6.1.7.3.ebuild
new file mode 100644
index 000000000000..897c76f82394
--- /dev/null
+++ b/dev-ruby/activejob/activejob-6.1.7.3.ebuild
@@ -0,0 +1,47 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby27 ruby30 ruby31"
+
+RUBY_FAKEGEM_RECIPE_DOC=""
+RUBY_FAKEGEM_DOCDIR=""
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.md"
+
+RUBY_FAKEGEM_BINWRAP=""
+
+RUBY_FAKEGEM_GEMSPEC="${PN}.gemspec"
+RUBY_FAKEGEM_TASK_TEST="MT_NO_PLUGINS=1 test"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Job framework with pluggable queues"
+HOMEPAGE="https://github.com/rails/rails"
+SRC_URI="https://github.com/rails/rails/archive/v${PV}.tar.gz -> rails-${PV}.tgz"
+
+LICENSE="MIT"
+SLOT="$(ver_cut 1-2)"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~riscv ~sparc ~x86"
+IUSE=""
+
+RUBY_S="rails-${PV}/${PN}"
+
+ruby_add_rdepend "
+ ~dev-ruby/activesupport-${PV}
+ >=dev-ruby/globalid-0.3.6
+"
+
+ruby_add_bdepend "
+ test? (
+ dev-ruby/mocha
+ )"
+
+all_ruby_prepare() {
+ sed -i -e '2igem "activesupport", "~> 6.1.0"' test/helper.rb || die
+
+ # Remove all currently unpackaged queues.
+ sed -i -e 's/que queue_classic resque sidekiq sneakers sucker_punch backburner//' \
+ -e 's/delayed_job//' Rakefile || die
+ sed -i -e '/SneakersAdapter/ s:^:#:' test/cases/exceptions_test.rb || die
+}
diff --git a/dev-ruby/activejob/activejob-7.0.4.3.ebuild b/dev-ruby/activejob/activejob-7.0.4.3.ebuild
new file mode 100644
index 000000000000..63a8f7a47df8
--- /dev/null
+++ b/dev-ruby/activejob/activejob-7.0.4.3.ebuild
@@ -0,0 +1,48 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby27 ruby30 ruby31"
+
+RUBY_FAKEGEM_RECIPE_DOC=""
+RUBY_FAKEGEM_DOCDIR=""
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.md"
+
+RUBY_FAKEGEM_BINWRAP=""
+
+RUBY_FAKEGEM_GEMSPEC="${PN}.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Job framework with pluggable queues"
+HOMEPAGE="https://github.com/rails/rails"
+SRC_URI="https://github.com/rails/rails/archive/v${PV}.tar.gz -> rails-${PV}.tgz"
+
+LICENSE="MIT"
+SLOT="$(ver_cut 1-2)"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc64 ~riscv ~sparc ~x86"
+IUSE=""
+
+RUBY_S="rails-${PV}/${PN}"
+
+ruby_add_rdepend "
+ ~dev-ruby/activesupport-${PV}
+ >=dev-ruby/globalid-0.3.6
+"
+
+ruby_add_bdepend "
+ test? (
+ dev-ruby/mocha
+ )"
+
+all_ruby_prepare() {
+ # Set test environment to our hand.
+ sed -i -e '/load_paths/d' test/helper.rb || die "Unable to remove load paths"
+
+ # Remove all currently unpackaged queues.
+ sed -i -e 's/que queue_classic resque sidekiq sneakers sucker_punch backburner//' \
+ -e 's/delayed_job//' Rakefile || die
+ sed -i -e '/SneakersAdapter/ s:^:#:' test/cases/exceptions_test.rb || die
+ rm -f test/cases/delayed_job_adapter_test.rb || die
+}
diff --git a/dev-ruby/activemodel/Manifest b/dev-ruby/activemodel/Manifest
index fb3ed3825b28..20fa7b9339d7 100644
--- a/dev-ruby/activemodel/Manifest
+++ b/dev-ruby/activemodel/Manifest
@@ -2,6 +2,8 @@ DIST rails-6.0.5.1.tgz 18607954 BLAKE2B 74f75399a287f1eae199a5764c952b75dd95a02c
DIST rails-6.0.6.1.tgz 18608328 BLAKE2B 10e6cb2d23acb75c95c25e2e6cc62de05c9c89f249c6cb9abffdd3a6ed83eb1dca996e6ef56a92cf77dddd3f8f9373ad947690015fb7966ddc599c995cea1121 SHA512 6873354fe2f8b9bf8bc12c7e6affda4300c158ee825f996eea6032a70f9532009d8f626d2736af22a452c8a3b331d1252ff19666e021150bfae2a8d575890c27
DIST rails-6.1.6.1.tgz 11028264 BLAKE2B 568033eb816613ba0ba5f2df38e6a30158b2e31ef4d4da151f8c0de2934b07736833026793ce9192994d9ef2a2a45b67735a35760c1be8b8a68c1968147cc6db SHA512 04acf9dbf5ee734636aada67be001690899eb13f73ea688455fcaee8cbf4839aedf06943c8adb5eecf13fd9a5f6be1a225310aa481d3a254172fd0ce0402362f
DIST rails-6.1.7.2.tgz 11037081 BLAKE2B 0004f4bc8b2370119cbe0f6a9133278ae78b1d274f040f08d18edd06696e6fcc609154a042c68b77e11893fbef83ec8eabd9f1e2c28920269189ee1352a0695a SHA512 f667904b0d3ffda3579e5046da3b36c242581bacf140966bf1dc59fc7ea91f34f4affc76b0d6cfad4b80f0332aeec5fc8ab35fb793fc935f1d1b4fe6d18ce1de
+DIST rails-6.1.7.3.tgz 11038169 BLAKE2B 7e379b9ae3b63cb78638c1e0817ff40dc8aad79ba76b6d82310fbb4d6f5ef3dab4f252de9e49766143b828bfbce2ef7c9db3f108b5406708b61a83aeda47ea74 SHA512 fb84516a6cf370109bf45f2162161d23f375d7dc10249ed10200c74ec402129b07ac0e59bcde98a74eb499769a0cdd937af691edaabe44e061262d5510adc02e
DIST rails-6.1.7.tgz 11038670 BLAKE2B fd25884a6f58f10387f1f89ffd39caad337d7a3af6902f9ccdcf4eb108f9355124b6e1004d8b8f2b625ac7d9cfcd8635e7668101a1cba5d866a5fbe1b691e6e2 SHA512 7d56f604fbc2fb83a2e3a4ee070f55fb285018a48584115e0bf19982553eb5b78a173a5adbf1879e88c0739bea9dccc66879646da5c0b141b24f1500e1bdcb5f
DIST rails-7.0.4.2.tgz 11063555 BLAKE2B f8a862ce91a356dad702a44f1e36f8910e91481770118343c13fa00e40d57cd208ebea83e5adc0154927ef62b3f8461ded82c4e5097089fb1d872c2247feba44 SHA512 9fb80e9ec6e9edcf049635eb436c2fdb418cbdea47a6d82fefa7606e9bd14f2785b1c4445f08848692474db7ee3eb309ab26aabc5f3ba6847457d8dfd8802689
+DIST rails-7.0.4.3.tgz 11063764 BLAKE2B 389fd3a00bfff4ebda70cf5ec473942883048783b716ede1787a510d3b7b91f4e844dce4dde5ef643cb9611b1b3aa712f1ba5ebefb9e5a84e307a151b2e40bcf SHA512 2c817a0a58ae52f99686d8cd0de84f01e3d7ec05afc95d07910b3b5bf86d8162b06102893b2cbc14859b95a07eca6882a707956c87d437794697df7a18fa3c16
DIST rails-7.0.4.tgz 11061225 BLAKE2B 9c520766f936c82ae9ee943c3db0ad575d7fc59aea947fb2790cf511188fbd33166a62332564c4714372203f5fabdde842334103b48f4115c31f5d0fe18375f1 SHA512 118035226054ad5083d2affde55a812917652491f82a9a578380a790770fdda3a14904f6de10f58651bbbab278aa23920b652aa1b34c71441d465c3b7b4be82c
diff --git a/dev-ruby/activemodel/activemodel-6.1.7.3.ebuild b/dev-ruby/activemodel/activemodel-6.1.7.3.ebuild
new file mode 100644
index 000000000000..e0f56aff974c
--- /dev/null
+++ b/dev-ruby/activemodel/activemodel-6.1.7.3.ebuild
@@ -0,0 +1,43 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby27 ruby30 ruby31"
+
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.rdoc"
+
+RUBY_FAKEGEM_GEMSPEC="activemodel.gemspec"
+
+RUBY_FAKEGEM_BINWRAP=""
+
+inherit ruby-fakegem
+
+DESCRIPTION="Toolkit for building modeling frameworks like Active Record and Active Resource"
+HOMEPAGE="https://github.com/rails/rails"
+SRC_URI="https://github.com/rails/rails/archive/v${PV}.tar.gz -> rails-${PV}.tgz"
+
+LICENSE="MIT"
+SLOT="$(ver_cut 1-2)"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~riscv ~sparc ~x86"
+IUSE=""
+
+RUBY_S="rails-${PV}/${PN}"
+
+ruby_add_rdepend "
+ ~dev-ruby/activesupport-${PV}:*
+"
+
+ruby_add_bdepend "
+ test? (
+ ~dev-ruby/railties-${PV}
+ dev-ruby/test-unit:2
+ dev-ruby/mocha
+ >=dev-ruby/bcrypt-ruby-3.1.7
+ <dev-ruby/minitest-5.16:5
+ )"
+
+all_ruby_prepare() {
+ # Set test environment to our hand.
+ sed -i -e '/load_paths/d' test/cases/helper.rb || die "Unable to remove load paths"
+}
diff --git a/dev-ruby/activemodel/activemodel-7.0.4.3.ebuild b/dev-ruby/activemodel/activemodel-7.0.4.3.ebuild
new file mode 100644
index 000000000000..dc9eb1610888
--- /dev/null
+++ b/dev-ruby/activemodel/activemodel-7.0.4.3.ebuild
@@ -0,0 +1,43 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby27 ruby30 ruby31"
+
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.rdoc"
+
+RUBY_FAKEGEM_GEMSPEC="activemodel.gemspec"
+
+RUBY_FAKEGEM_BINWRAP=""
+
+inherit ruby-fakegem
+
+DESCRIPTION="Toolkit for building modeling frameworks like Active Record and Active Resource"
+HOMEPAGE="https://github.com/rails/rails"
+SRC_URI="https://github.com/rails/rails/archive/v${PV}.tar.gz -> rails-${PV}.tgz"
+
+LICENSE="MIT"
+SLOT="$(ver_cut 1-2)"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc64 ~riscv ~sparc ~x86"
+IUSE=""
+
+RUBY_S="rails-${PV}/${PN}"
+
+ruby_add_rdepend "
+ ~dev-ruby/activesupport-${PV}:*
+"
+
+ruby_add_bdepend "
+ test? (
+ ~dev-ruby/railties-${PV}
+ dev-ruby/test-unit:2
+ dev-ruby/mocha
+ >=dev-ruby/bcrypt-ruby-3.1.7
+ <dev-ruby/minitest-5.16:5
+ )"
+
+all_ruby_prepare() {
+ # Set test environment to our hand.
+ sed -i -e '/load_paths/d' test/cases/helper.rb || die "Unable to remove load paths"
+}
diff --git a/dev-ruby/activerecord/Manifest b/dev-ruby/activerecord/Manifest
index fb3ed3825b28..20fa7b9339d7 100644
--- a/dev-ruby/activerecord/Manifest
+++ b/dev-ruby/activerecord/Manifest
@@ -2,6 +2,8 @@ DIST rails-6.0.5.1.tgz 18607954 BLAKE2B 74f75399a287f1eae199a5764c952b75dd95a02c
DIST rails-6.0.6.1.tgz 18608328 BLAKE2B 10e6cb2d23acb75c95c25e2e6cc62de05c9c89f249c6cb9abffdd3a6ed83eb1dca996e6ef56a92cf77dddd3f8f9373ad947690015fb7966ddc599c995cea1121 SHA512 6873354fe2f8b9bf8bc12c7e6affda4300c158ee825f996eea6032a70f9532009d8f626d2736af22a452c8a3b331d1252ff19666e021150bfae2a8d575890c27
DIST rails-6.1.6.1.tgz 11028264 BLAKE2B 568033eb816613ba0ba5f2df38e6a30158b2e31ef4d4da151f8c0de2934b07736833026793ce9192994d9ef2a2a45b67735a35760c1be8b8a68c1968147cc6db SHA512 04acf9dbf5ee734636aada67be001690899eb13f73ea688455fcaee8cbf4839aedf06943c8adb5eecf13fd9a5f6be1a225310aa481d3a254172fd0ce0402362f
DIST rails-6.1.7.2.tgz 11037081 BLAKE2B 0004f4bc8b2370119cbe0f6a9133278ae78b1d274f040f08d18edd06696e6fcc609154a042c68b77e11893fbef83ec8eabd9f1e2c28920269189ee1352a0695a SHA512 f667904b0d3ffda3579e5046da3b36c242581bacf140966bf1dc59fc7ea91f34f4affc76b0d6cfad4b80f0332aeec5fc8ab35fb793fc935f1d1b4fe6d18ce1de
+DIST rails-6.1.7.3.tgz 11038169 BLAKE2B 7e379b9ae3b63cb78638c1e0817ff40dc8aad79ba76b6d82310fbb4d6f5ef3dab4f252de9e49766143b828bfbce2ef7c9db3f108b5406708b61a83aeda47ea74 SHA512 fb84516a6cf370109bf45f2162161d23f375d7dc10249ed10200c74ec402129b07ac0e59bcde98a74eb499769a0cdd937af691edaabe44e061262d5510adc02e
DIST rails-6.1.7.tgz 11038670 BLAKE2B fd25884a6f58f10387f1f89ffd39caad337d7a3af6902f9ccdcf4eb108f9355124b6e1004d8b8f2b625ac7d9cfcd8635e7668101a1cba5d866a5fbe1b691e6e2 SHA512 7d56f604fbc2fb83a2e3a4ee070f55fb285018a48584115e0bf19982553eb5b78a173a5adbf1879e88c0739bea9dccc66879646da5c0b141b24f1500e1bdcb5f
DIST rails-7.0.4.2.tgz 11063555 BLAKE2B f8a862ce91a356dad702a44f1e36f8910e91481770118343c13fa00e40d57cd208ebea83e5adc0154927ef62b3f8461ded82c4e5097089fb1d872c2247feba44 SHA512 9fb80e9ec6e9edcf049635eb436c2fdb418cbdea47a6d82fefa7606e9bd14f2785b1c4445f08848692474db7ee3eb309ab26aabc5f3ba6847457d8dfd8802689
+DIST rails-7.0.4.3.tgz 11063764 BLAKE2B 389fd3a00bfff4ebda70cf5ec473942883048783b716ede1787a510d3b7b91f4e844dce4dde5ef643cb9611b1b3aa712f1ba5ebefb9e5a84e307a151b2e40bcf SHA512 2c817a0a58ae52f99686d8cd0de84f01e3d7ec05afc95d07910b3b5bf86d8162b06102893b2cbc14859b95a07eca6882a707956c87d437794697df7a18fa3c16
DIST rails-7.0.4.tgz 11061225 BLAKE2B 9c520766f936c82ae9ee943c3db0ad575d7fc59aea947fb2790cf511188fbd33166a62332564c4714372203f5fabdde842334103b48f4115c31f5d0fe18375f1 SHA512 118035226054ad5083d2affde55a812917652491f82a9a578380a790770fdda3a14904f6de10f58651bbbab278aa23920b652aa1b34c71441d465c3b7b4be82c
diff --git a/dev-ruby/activerecord/activerecord-6.1.7.3.ebuild b/dev-ruby/activerecord/activerecord-6.1.7.3.ebuild
new file mode 100644
index 000000000000..4e1ebb61eee9
--- /dev/null
+++ b/dev-ruby/activerecord/activerecord-6.1.7.3.ebuild
@@ -0,0 +1,91 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+USE_RUBY="ruby27 ruby30 ruby31"
+
+# this is not null so that the dependencies will actually be filled
+RUBY_FAKEGEM_TASK_TEST="test"
+
+RUBY_FAKEGEM_RECIPE_DOC="none"
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.rdoc"
+
+RUBY_FAKEGEM_GEMSPEC="activerecord.gemspec"
+
+RUBY_FAKEGEM_BINWRAP=""
+
+inherit ruby-fakegem
+
+DESCRIPTION="Implements the ActiveRecord pattern (Fowler, PoEAA) for ORM"
+HOMEPAGE="https://github.com/rails/rails/"
+SRC_URI="https://github.com/rails/rails/archive/v${PV}.tar.gz -> rails-${PV}.tgz"
+
+LICENSE="MIT"
+SLOT="$(ver_cut 1-2)"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~riscv ~sparc ~x86"
+IUSE="mysql postgres sqlite"
+
+RUBY_S="rails-${PV}/${PN}"
+
+ruby_add_rdepend "~dev-ruby/activesupport-${PV}
+ ~dev-ruby/activemodel-${PV}
+ sqlite? ( >=dev-ruby/sqlite3-1.4 )
+ mysql? ( dev-ruby/mysql2:0.5 )
+ postgres? ( >=dev-ruby/pg-1.1:1 )"
+
+ruby_add_bdepend "
+ test? (
+ dev-ruby/bundler
+ ~dev-ruby/actionpack-${PV}
+ ~dev-ruby/railties-${PV}
+ >=dev-ruby/sqlite3-1.4.0
+ dev-ruby/mocha
+ <dev-ruby/minitest-5.16:5
+ )"
+
+DEPEND+=" test? ( >=dev-db/sqlite-3.12.1 )"
+
+all_ruby_prepare() {
+ # Remove items from the common Gemfile that we don't need for this
+ # test run. This also requires handling some gemspecs.
+ rm ../Gemfile.lock || die
+ sed -i -e "/\(uglifier\|system_timer\|sdoc\|w3c_validators\|pg\|jquery-rails\|execjs\|'mysql'\|journey\|ruby-prof\|stackprof\|benchmark-ips\|kindlerb\|turbolinks\|coffee-rails\|debugger\|redcarpet\|minitest\|sprockets\|stackprof\)/ s:^:#:" \
+ -e '/:job/,/end/ s:^:#:' \
+ -e '/group :doc/,/^end/ s:^:#:' ../Gemfile || die
+ sed -i -e '/rack-ssl/d' -e 's/~> 3.4/>= 3.4/' ../railties/railties.gemspec || die
+ sed -e '/bcrypt/ s/3.0.0/3.0/' \
+ -i ../Gemfile || die
+ sed -i -e '/byebug/ s:^:#:' test/cases/base_prevent_writes_test.rb || die
+
+ # Add back json in the Gemfile because we dropped some dependencies
+ # earlier that implicitly required it.
+ sed -i -e '$agem "json"' ../Gemfile || die
+
+ # Load correct rails version
+ sed -i -e '2igem "activemodel", "~> 6.1.0"; gem "activejob", "~> 6.1.0"; gem "railties", "~> 6.1.0"' test/cases/helper.rb || die
+
+ # Avoid single tests using mysql or postgres dependencies.
+ rm test/cases/invalid_connection_test.rb || die
+ sed -e '/test_switching_connections_with_database_url/askip "postgres"' \
+ -i test/cases/connection_adapters/{,legacy_}connection_handlers_multi_db_test.rb || die
+
+ # Avoid failing test that makes bad assumptions on database state.
+ sed -i -e '/test_do_not_call_callbacks_for_delete_all/,/^ end/ s:^:#:' \
+ test/cases/associations/has_many_associations_test.rb
+
+ # Avoid tests that no longer work with newer sqlite versions
+ rm -f test/cases/adapters/sqlite3/explain_test.rb || die
+ sed -i -e '/test_references_stays_as_integer_column/askip "Fails on case difference"' test/cases/migration/compatibility_test.rb || die
+
+ # Avoid test failing to bind limit length in favor of security release
+ sed -i -e '/test_too_many_binds/askip "Fails on Gentoo"' test/cases/bind_parameter_test.rb || die
+
+ # Avoid test failing related to rubygems
+ sed -i -e '/test_generates_absolute_path_with_given_root/askip "rubygems actiovation monitor"' test/cases/tasks/sqlite_rake_test.rb || die
+}
+
+each_ruby_test() {
+ if use sqlite; then
+ ${RUBY} -S rake test_sqlite3 || die "sqlite3 tests failed"
+ fi
+}
diff --git a/dev-ruby/activerecord/activerecord-7.0.4.3.ebuild b/dev-ruby/activerecord/activerecord-7.0.4.3.ebuild
new file mode 100644
index 000000000000..e1e7f04ae70d
--- /dev/null
+++ b/dev-ruby/activerecord/activerecord-7.0.4.3.ebuild
@@ -0,0 +1,87 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+USE_RUBY="ruby27 ruby30 ruby31"
+
+# this is not null so that the dependencies will actually be filled
+RUBY_FAKEGEM_TASK_TEST="test"
+
+RUBY_FAKEGEM_RECIPE_DOC="none"
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.rdoc"
+
+RUBY_FAKEGEM_GEMSPEC="activerecord.gemspec"
+
+RUBY_FAKEGEM_BINWRAP=""
+
+inherit ruby-fakegem
+
+DESCRIPTION="Implements the ActiveRecord pattern (Fowler, PoEAA) for ORM"
+HOMEPAGE="https://github.com/rails/rails/"
+SRC_URI="https://github.com/rails/rails/archive/v${PV}.tar.gz -> rails-${PV}.tgz"
+
+LICENSE="MIT"
+SLOT="$(ver_cut 1-2)"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~riscv ~sparc ~x86"
+IUSE="mysql postgres sqlite"
+
+RUBY_S="rails-${PV}/${PN}"
+
+ruby_add_rdepend "~dev-ruby/activesupport-${PV}
+ ~dev-ruby/activemodel-${PV}
+ sqlite? ( >=dev-ruby/sqlite3-1.4 )
+ mysql? ( dev-ruby/mysql2:0.5 )
+ postgres? ( >=dev-ruby/pg-1.1:1 )"
+
+ruby_add_bdepend "
+ test? (
+ dev-ruby/benchmark-ips
+ dev-ruby/bundler
+ ~dev-ruby/actionpack-${PV}
+ ~dev-ruby/railties-${PV}
+ >=dev-ruby/sqlite3-1.4.0
+ dev-ruby/mocha
+ <dev-ruby/minitest-5.16:5
+ )"
+
+DEPEND+=" test? ( >=dev-db/sqlite-3.12.1 )"
+
+all_ruby_prepare() {
+ # Remove items from the common Gemfile that we don't need for this
+ # test run. This also requires handling some gemspecs.
+ rm ../Gemfile.lock || die
+ sed -i -e "/\(uglifier\|system_timer\|sdoc\|w3c_validators\|pg\|jquery-rails\|execjs\|'mysql'\|journey\|ruby-prof\|stackprof\|benchmark-ips\|kindlerb\|turbolinks\|coffee-rails\|debugger\|redcarpet\|minitest\|sprockets\|stackprof\)/ s:^:#:" \
+ -e '/:job/,/end/ s:^:#:' \
+ -e '/group :doc/,/^end/ s:^:#:' ../Gemfile || die
+ sed -i -e '/rack-ssl/d' -e 's/~> 3.4/>= 3.4/' ../railties/railties.gemspec || die
+ sed -e '/bcrypt/ s/3.0.0/3.0/' \
+ -i ../Gemfile || die
+ sed -i -e '/byebug/ s:^:#:' test/cases/base_prevent_writes_test.rb || die
+
+ # Add back json in the Gemfile because we dropped some dependencies
+ # earlier that implicitly required it.
+ sed -i -e '$agem "json"' ../Gemfile || die
+
+ sed -i -e '1igem "rack", "<3"' test/cases/helper.rb || die
+
+ # Avoid single tests using mysql or postgres dependencies.
+ rm test/cases/invalid_connection_test.rb || die
+ sed -e '/test_switching_connections_with_database_url/askip "postgres"' \
+ -i test/cases/connection_adapters/{,legacy_}connection_handlers_multi_db_test.rb || die
+
+ # Avoid failing test that makes bad assumptions on database state.
+ sed -i -e '/test_do_not_call_callbacks_for_delete_all/,/^ end/ s:^:#:' \
+ test/cases/associations/has_many_associations_test.rb
+
+ # Avoid test failing to bind limit length in favor of security release
+ sed -i -e '/test_too_many_binds/askip "Fails on Gentoo"' test/cases/bind_parameter_test.rb || die
+
+ # Avoid test failing related to rubygems
+ sed -i -e '/test_generates_absolute_path_with_given_root/askip "rubygems actiovation monitor"' test/cases/tasks/sqlite_rake_test.rb || die
+}
+
+each_ruby_test() {
+ if use sqlite; then
+ ${RUBY} -S rake test_sqlite3 || die "sqlite3 tests failed"
+ fi
+}
diff --git a/dev-ruby/activestorage/Manifest b/dev-ruby/activestorage/Manifest
index fb3ed3825b28..20fa7b9339d7 100644
--- a/dev-ruby/activestorage/Manifest
+++ b/dev-ruby/activestorage/Manifest
@@ -2,6 +2,8 @@ DIST rails-6.0.5.1.tgz 18607954 BLAKE2B 74f75399a287f1eae199a5764c952b75dd95a02c
DIST rails-6.0.6.1.tgz 18608328 BLAKE2B 10e6cb2d23acb75c95c25e2e6cc62de05c9c89f249c6cb9abffdd3a6ed83eb1dca996e6ef56a92cf77dddd3f8f9373ad947690015fb7966ddc599c995cea1121 SHA512 6873354fe2f8b9bf8bc12c7e6affda4300c158ee825f996eea6032a70f9532009d8f626d2736af22a452c8a3b331d1252ff19666e021150bfae2a8d575890c27
DIST rails-6.1.6.1.tgz 11028264 BLAKE2B 568033eb816613ba0ba5f2df38e6a30158b2e31ef4d4da151f8c0de2934b07736833026793ce9192994d9ef2a2a45b67735a35760c1be8b8a68c1968147cc6db SHA512 04acf9dbf5ee734636aada67be001690899eb13f73ea688455fcaee8cbf4839aedf06943c8adb5eecf13fd9a5f6be1a225310aa481d3a254172fd0ce0402362f
DIST rails-6.1.7.2.tgz 11037081 BLAKE2B 0004f4bc8b2370119cbe0f6a9133278ae78b1d274f040f08d18edd06696e6fcc609154a042c68b77e11893fbef83ec8eabd9f1e2c28920269189ee1352a0695a SHA512 f667904b0d3ffda3579e5046da3b36c242581bacf140966bf1dc59fc7ea91f34f4affc76b0d6cfad4b80f0332aeec5fc8ab35fb793fc935f1d1b4fe6d18ce1de
+DIST rails-6.1.7.3.tgz 11038169 BLAKE2B 7e379b9ae3b63cb78638c1e0817ff40dc8aad79ba76b6d82310fbb4d6f5ef3dab4f252de9e49766143b828bfbce2ef7c9db3f108b5406708b61a83aeda47ea74 SHA512 fb84516a6cf370109bf45f2162161d23f375d7dc10249ed10200c74ec402129b07ac0e59bcde98a74eb499769a0cdd937af691edaabe44e061262d5510adc02e
DIST rails-6.1.7.tgz 11038670 BLAKE2B fd25884a6f58f10387f1f89ffd39caad337d7a3af6902f9ccdcf4eb108f9355124b6e1004d8b8f2b625ac7d9cfcd8635e7668101a1cba5d866a5fbe1b691e6e2 SHA512 7d56f604fbc2fb83a2e3a4ee070f55fb285018a48584115e0bf19982553eb5b78a173a5adbf1879e88c0739bea9dccc66879646da5c0b141b24f1500e1bdcb5f
DIST rails-7.0.4.2.tgz 11063555 BLAKE2B f8a862ce91a356dad702a44f1e36f8910e91481770118343c13fa00e40d57cd208ebea83e5adc0154927ef62b3f8461ded82c4e5097089fb1d872c2247feba44 SHA512 9fb80e9ec6e9edcf049635eb436c2fdb418cbdea47a6d82fefa7606e9bd14f2785b1c4445f08848692474db7ee3eb309ab26aabc5f3ba6847457d8dfd8802689
+DIST rails-7.0.4.3.tgz 11063764 BLAKE2B 389fd3a00bfff4ebda70cf5ec473942883048783b716ede1787a510d3b7b91f4e844dce4dde5ef643cb9611b1b3aa712f1ba5ebefb9e5a84e307a151b2e40bcf SHA512 2c817a0a58ae52f99686d8cd0de84f01e3d7ec05afc95d07910b3b5bf86d8162b06102893b2cbc14859b95a07eca6882a707956c87d437794697df7a18fa3c16
DIST rails-7.0.4.tgz 11061225 BLAKE2B 9c520766f936c82ae9ee943c3db0ad575d7fc59aea947fb2790cf511188fbd33166a62332564c4714372203f5fabdde842334103b48f4115c31f5d0fe18375f1 SHA512 118035226054ad5083d2affde55a812917652491f82a9a578380a790770fdda3a14904f6de10f58651bbbab278aa23920b652aa1b34c71441d465c3b7b4be82c
diff --git a/dev-ruby/activestorage/activestorage-6.1.7.3.ebuild b/dev-ruby/activestorage/activestorage-6.1.7.3.ebuild
new file mode 100644
index 000000000000..785e63cace65
--- /dev/null
+++ b/dev-ruby/activestorage/activestorage-6.1.7.3.ebuild
@@ -0,0 +1,61 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby27 ruby30"
+
+RUBY_FAKEGEM_RECIPE_DOC=""
+RUBY_FAKEGEM_DOCDIR=""
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.md"
+
+RUBY_FAKEGEM_GEMSPEC="activestorage.gemspec"
+
+RUBY_FAKEGEM_EXTRAINSTALL="app config db"
+
+RUBY_FAKEGEM_BINWRAP=""
+
+inherit ruby-fakegem
+
+DESCRIPTION="Attach cloud and local files in Rails applications"
+HOMEPAGE="https://github.com/rails/rails"
+SRC_URI="https://github.com/rails/rails/archive/v${PV}.tar.gz -> rails-${PV}.tgz"
+
+LICENSE="MIT"
+SLOT="$(ver_cut 1-2)"
+KEYWORDS="~amd64 ~ppc ~ppc64 ~riscv ~x86"
+IUSE=""
+
+RUBY_S="rails-${PV}/${PN}"
+
+DEPEND+=" test? ( app-text/mupdf media-gfx/imagemagick[jpeg,png,tiff] media-video/ffmpeg app-text/poppler[utils] ) "
+
+ruby_add_rdepend "
+ ~dev-ruby/actionpack-${PV}:*
+ ~dev-ruby/activejob-${PV}:*
+ ~dev-ruby/activerecord-${PV}:*
+ ~dev-ruby/activesupport-${PV}:*
+ dev-ruby/marcel:1.0
+ >=dev-ruby/mini_mime-1.1.0
+"
+
+ruby_add_bdepend "
+ test? (
+ ~dev-ruby/railties-${PV}
+ >=dev-ruby/image_processing-1.2:0
+ dev-ruby/test-unit:2
+ dev-ruby/mini_magick
+ dev-ruby/mocha
+ dev-ruby/rake
+ dev-ruby/sqlite3
+ )"
+
+all_ruby_prepare() {
+ # Remove items from the common Gemfile that we don't need for this
+ # test run. This also requires handling some gemspecs.
+ sed -e "/\(system_timer\|sdoc\|w3c_validators\|pg\|execjs\|jquery-rails\|'mysql'\|journey\|ruby-prof\|stackprof\|benchmark-ips\|kindlerb\|turbolinks\|coffee-rails\|debugger\|sprockets-rails\|redcarpet\|bcrypt\|uglifier\|aws-sdk-s3\|aws-sdk-sns\|google-cloud-storage\|azure-storage\|blade\|bootsnap\|hiredis\|qunit-selenium\|chromedriver-helper\|redis\|rb-inotify\|sprockets\|stackprof\|websocket-client-simple\|libxml-ruby\|sass-rails\|capybara\|rack-cache\|selenium\|dalli\|listen\|connection_pool\|puma\|mysql2\|webdrivers\|webpacker\|rexml\|webmock\)/ s:^:#:" \
+ -e '/dalli/ s/2.7.7/2.7.9/' \
+ -e '/group :\(doc\|job\|rubocop\|test\)/,/^end/ s:^:#:' \
+ -i ../Gemfile || die
+ rm ../Gemfile.lock || die
+}
diff --git a/dev-ruby/activestorage/activestorage-7.0.4.3.ebuild b/dev-ruby/activestorage/activestorage-7.0.4.3.ebuild
new file mode 100644
index 000000000000..8d521ec0f57a
--- /dev/null
+++ b/dev-ruby/activestorage/activestorage-7.0.4.3.ebuild
@@ -0,0 +1,67 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby27 ruby30 ruby31"
+
+RUBY_FAKEGEM_RECIPE_DOC=""
+RUBY_FAKEGEM_DOCDIR=""
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.md"
+
+RUBY_FAKEGEM_GEMSPEC="activestorage.gemspec"
+
+RUBY_FAKEGEM_EXTRAINSTALL="app config db"
+
+RUBY_FAKEGEM_BINWRAP=""
+
+inherit ruby-fakegem
+
+DESCRIPTION="Attach cloud and local files in Rails applications"
+HOMEPAGE="https://github.com/rails/rails"
+SRC_URI="https://github.com/rails/rails/archive/v${PV}.tar.gz -> rails-${PV}.tgz"
+
+LICENSE="MIT"
+SLOT="$(ver_cut 1-2)"
+KEYWORDS="~amd64 ~ppc64 ~riscv ~x86"
+IUSE=""
+
+RUBY_S="rails-${PV}/${PN}"
+
+DEPEND+=" test? ( app-text/mupdf media-gfx/imagemagick[jpeg,png,tiff] media-video/ffmpeg app-text/poppler[utils] ) "
+
+ruby_add_rdepend "
+ ~dev-ruby/actionpack-${PV}:*
+ ~dev-ruby/activejob-${PV}:*
+ ~dev-ruby/activerecord-${PV}:*
+ ~dev-ruby/activesupport-${PV}:*
+ dev-ruby/marcel:1.0
+ >=dev-ruby/mini_mime-1.1.0
+"
+
+ruby_add_bdepend "
+ test? (
+ ~dev-ruby/railties-${PV}
+ >=dev-ruby/image_processing-1.2:0
+ =dev-ruby/minitest-5.15*:5
+ dev-ruby/mini_magick
+ dev-ruby/mocha
+ dev-ruby/rake
+ dev-ruby/sprockets-rails
+ dev-ruby/sqlite3
+ )"
+
+all_ruby_prepare() {
+ # Remove items from the common Gemfile that we don't need for this
+ # test run. This also requires handling some gemspecs.
+ sed -e "/\(system_timer\|sdoc\|w3c_validators\|pg\|execjs\|jquery-rails\|'mysql'\|journey\|ruby-prof\|stackprof\|benchmark-ips\|kindlerb\|turbolinks\|coffee-rails\|debugger\|redcarpet\|bcrypt\|uglifier\|aws-sdk-s3\|aws-sdk-sns\|google-cloud-storage\|azure-storage\|blade\|bootsnap\|hiredis\|qunit-selenium\|chromedriver-helper\|redis\|rb-inotify\|stackprof\|websocket-client-simple\|libxml-ruby\|sass-rails\|capybara\|rack-cache\|selenium\|dalli\|listen\|connection_pool\|puma\|mysql2\|webdrivers\|webpacker\|rexml\|webmock\|propshaft\|sprockets-export\|rack-test\)/ s:^:#:" \
+ -e '/stimulus-rails/,/tailwindcss-rails/ s:^:#:' \
+ -e '/group :\(doc\|job\|rubocop\|test\)/,/^end/ s:^:#:' \
+ -i ../Gemfile || die
+ rm ../Gemfile.lock || die
+
+ # Use mini_magick since vips is not packaged on Gentoo
+ sed -i -e '/mini_magick/aActiveStorage.variant_processor = :mini_magick' test/test_helper.rb || die
+ # Avoid vips-specific tests
+ sed -i -e '/\(resized and monochrome variation of JPEG blob\|monochrome with default variant_processor\|disabled variation of JPEG blob\)/askip "No vips support"' test/models/variant_test.rb || die
+}
diff --git a/dev-ruby/activesupport/Manifest b/dev-ruby/activesupport/Manifest
index fb3ed3825b28..20fa7b9339d7 100644
--- a/dev-ruby/activesupport/Manifest
+++ b/dev-ruby/activesupport/Manifest
@@ -2,6 +2,8 @@ DIST rails-6.0.5.1.tgz 18607954 BLAKE2B 74f75399a287f1eae199a5764c952b75dd95a02c
DIST rails-6.0.6.1.tgz 18608328 BLAKE2B 10e6cb2d23acb75c95c25e2e6cc62de05c9c89f249c6cb9abffdd3a6ed83eb1dca996e6ef56a92cf77dddd3f8f9373ad947690015fb7966ddc599c995cea1121 SHA512 6873354fe2f8b9bf8bc12c7e6affda4300c158ee825f996eea6032a70f9532009d8f626d2736af22a452c8a3b331d1252ff19666e021150bfae2a8d575890c27
DIST rails-6.1.6.1.tgz 11028264 BLAKE2B 568033eb816613ba0ba5f2df38e6a30158b2e31ef4d4da151f8c0de2934b07736833026793ce9192994d9ef2a2a45b67735a35760c1be8b8a68c1968147cc6db SHA512 04acf9dbf5ee734636aada67be001690899eb13f73ea688455fcaee8cbf4839aedf06943c8adb5eecf13fd9a5f6be1a225310aa481d3a254172fd0ce0402362f
DIST rails-6.1.7.2.tgz 11037081 BLAKE2B 0004f4bc8b2370119cbe0f6a9133278ae78b1d274f040f08d18edd06696e6fcc609154a042c68b77e11893fbef83ec8eabd9f1e2c28920269189ee1352a0695a SHA512 f667904b0d3ffda3579e5046da3b36c242581bacf140966bf1dc59fc7ea91f34f4affc76b0d6cfad4b80f0332aeec5fc8ab35fb793fc935f1d1b4fe6d18ce1de
+DIST rails-6.1.7.3.tgz 11038169 BLAKE2B 7e379b9ae3b63cb78638c1e0817ff40dc8aad79ba76b6d82310fbb4d6f5ef3dab4f252de9e49766143b828bfbce2ef7c9db3f108b5406708b61a83aeda47ea74 SHA512 fb84516a6cf370109bf45f2162161d23f375d7dc10249ed10200c74ec402129b07ac0e59bcde98a74eb499769a0cdd937af691edaabe44e061262d5510adc02e
DIST rails-6.1.7.tgz 11038670 BLAKE2B fd25884a6f58f10387f1f89ffd39caad337d7a3af6902f9ccdcf4eb108f9355124b6e1004d8b8f2b625ac7d9cfcd8635e7668101a1cba5d866a5fbe1b691e6e2 SHA512 7d56f604fbc2fb83a2e3a4ee070f55fb285018a48584115e0bf19982553eb5b78a173a5adbf1879e88c0739bea9dccc66879646da5c0b141b24f1500e1bdcb5f
DIST rails-7.0.4.2.tgz 11063555 BLAKE2B f8a862ce91a356dad702a44f1e36f8910e91481770118343c13fa00e40d57cd208ebea83e5adc0154927ef62b3f8461ded82c4e5097089fb1d872c2247feba44 SHA512 9fb80e9ec6e9edcf049635eb436c2fdb418cbdea47a6d82fefa7606e9bd14f2785b1c4445f08848692474db7ee3eb309ab26aabc5f3ba6847457d8dfd8802689
+DIST rails-7.0.4.3.tgz 11063764 BLAKE2B 389fd3a00bfff4ebda70cf5ec473942883048783b716ede1787a510d3b7b91f4e844dce4dde5ef643cb9611b1b3aa712f1ba5ebefb9e5a84e307a151b2e40bcf SHA512 2c817a0a58ae52f99686d8cd0de84f01e3d7ec05afc95d07910b3b5bf86d8162b06102893b2cbc14859b95a07eca6882a707956c87d437794697df7a18fa3c16
DIST rails-7.0.4.tgz 11061225 BLAKE2B 9c520766f936c82ae9ee943c3db0ad575d7fc59aea947fb2790cf511188fbd33166a62332564c4714372203f5fabdde842334103b48f4115c31f5d0fe18375f1 SHA512 118035226054ad5083d2affde55a812917652491f82a9a578380a790770fdda3a14904f6de10f58651bbbab278aa23920b652aa1b34c71441d465c3b7b4be82c
diff --git a/dev-ruby/activesupport/activesupport-6.1.7.3.ebuild b/dev-ruby/activesupport/activesupport-6.1.7.3.ebuild
new file mode 100644
index 000000000000..019a5ee151fb
--- /dev/null
+++ b/dev-ruby/activesupport/activesupport-6.1.7.3.ebuild
@@ -0,0 +1,75 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby27 ruby30 ruby31"
+
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.rdoc"
+
+RUBY_FAKEGEM_GEMSPEC="activesupport.gemspec"
+
+RUBY_FAKEGEM_BINWRAP=""
+
+inherit ruby-fakegem
+
+DESCRIPTION="Utility Classes and Extension to the Standard Library"
+HOMEPAGE="https://github.com/rails/rails"
+SRC_URI="https://github.com/rails/rails/archive/v${PV}.tar.gz -> rails-${PV}.tgz"
+
+LICENSE="MIT"
+SLOT="$(ver_cut 1-2)"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~loong ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+IUSE=""
+
+RUBY_S="rails-${PV}/${PN}"
+
+ruby_add_rdepend "
+ >=dev-ruby/concurrent-ruby-1.0.2:1
+ >=dev-ruby/i18n-1.6:1
+ dev-ruby/tzinfo:2
+ >=dev-ruby/minitest-5.1:5
+ >=dev-ruby/zeitwerk-2.3:2
+"
+
+# memcache-client, nokogiri, builder, and redis are not strictly needed,
+# but there are tests using this code.
+ruby_add_bdepend "test? (
+ >=dev-ruby/dalli-3.0.1
+ dev-ruby/connection_pool
+ >=dev-ruby/nokogiri-1.8.1
+ >=dev-ruby/builder-3.1.0
+ >=dev-ruby/listen-3.3:3
+ dev-ruby/rack
+ dev-ruby/rexml
+ dev-ruby/mocha
+ <dev-ruby/minitest-5.16:5
+ )"
+
+all_ruby_prepare() {
+ # Set the secure permissions that tests expect.
+ chmod 0755 "${HOME}" || die "Failed to fix permissions on home"
+
+ # Remove items from the common Gemfile that we don't need for this
+ # test run. This also requires handling some gemspecs.
+ sed -i -e "/\(system_timer\|pg\|execjs\|jquery-rails\|mysql\|journey\|ruby-prof\|stackprof\|benchmark-ips\|turbolinks\|coffee-rails\|debugger\|sprockets-rails\|bcrypt\|uglifier\|minitest\|sprockets\|stackprof\|rack-cache\|sqlite\|websocket-client-simple\|\libxml-ruby\|bootsnap\|aws-sdk\|webmock\|capybara\|sass-rails\|selenium-webdriver\|webpacker\|webrick\|rack-test\)/ s:^:#:" \
+ -e '/group :\(doc\|rubocop\|job\|cable\|storage\|ujs\|test\) do/,/^end/ s:^:#:' \
+ -e 's/gemspec/gemspec path: "activesupport"/' \
+ -e '5igem "builder"; gem "rack"' ../Gemfile || die
+ rm ../Gemfile.lock || die
+# sed -i -e '1igem "tzinfo", "~> 1.1"' test/abstract_unit.rb || die
+
+ # Avoid test that depends on timezone
+ sed -i -e '/test_implicit_coercion/,/^ end/ s:^:#:' test/core_ext/duration_test.rb || die
+
+ # Avoid tests that seem to trigger race conditions.
+ rm -f test/evented_file_update_checker_test.rb || die
+
+ # Avoid test that generates filename that is too long
+ sed -i -e '/test_filename_max_size/askip "gentoo"' test/cache/stores/file_store_test.rb || die
+
+ # Avoid tests requiring a live redis running
+ rm -f test/cache/stores/redis_cache_store_test.rb || die
+ sed -i -e '/cache_stores:redis/ s:^:#:' Rakefile || die
+ sed -i -e '/test_redis_cache_store/askip "lacking keywords"' test/cache/cache_store_setting_test.rb || die
+}
diff --git a/dev-ruby/activesupport/activesupport-7.0.4.3.ebuild b/dev-ruby/activesupport/activesupport-7.0.4.3.ebuild
new file mode 100644
index 000000000000..f0801876283b
--- /dev/null
+++ b/dev-ruby/activesupport/activesupport-7.0.4.3.ebuild
@@ -0,0 +1,74 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby27 ruby30 ruby31"
+
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.rdoc"
+
+RUBY_FAKEGEM_GEMSPEC="activesupport.gemspec"
+
+RUBY_FAKEGEM_BINWRAP=""
+
+inherit ruby-fakegem
+
+DESCRIPTION="Utility Classes and Extension to the Standard Library"
+HOMEPAGE="https://github.com/rails/rails"
+SRC_URI="https://github.com/rails/rails/archive/v${PV}.tar.gz -> rails-${PV}.tgz"
+
+LICENSE="MIT"
+SLOT="$(ver_cut 1-2)"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~loong ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+IUSE=""
+
+RUBY_S="rails-${PV}/${PN}"
+
+ruby_add_rdepend "
+ >=dev-ruby/concurrent-ruby-1.0.2:1
+ >=dev-ruby/i18n-1.6:1
+ dev-ruby/tzinfo:2
+ >=dev-ruby/minitest-5.1:5
+"
+
+# memcache-client, nokogiri, builder, and redis are not strictly needed,
+# but there are tests using this code.
+ruby_add_bdepend "test? (
+ >=dev-ruby/dalli-3.0.1
+ dev-ruby/connection_pool
+ >=dev-ruby/nokogiri-1.8.1
+ >=dev-ruby/builder-3.1.0
+ >=dev-ruby/listen-3.3:3
+ dev-ruby/rack
+ dev-ruby/rexml
+ dev-ruby/mocha
+ <dev-ruby/minitest-5.16:5
+ )"
+
+all_ruby_prepare() {
+ # Set the secure permissions that tests expect.
+ chmod 0755 "${HOME}" || die "Failed to fix permissions on home"
+
+ # Remove items from the common Gemfile that we don't need for this
+ # test run. This also requires handling some gemspecs.
+ sed -i -e "/\(system_timer\|pg\|execjs\|jquery-rails\|mysql\|journey\|ruby-prof\|stackprof\|benchmark-ips\|turbolinks\|coffee-rails\|debugger\|sprockets-rails\|bcrypt\|uglifier\|minitest\|sprockets\|stackprof\|rack-cache\|sqlite\|websocket-client-simple\|\libxml-ruby\|bootsnap\|aws-sdk\|webmock\|capybara\|sass-rails\|selenium-webdriver\|webpacker\|webrick\|propshaft\|rack-test\|terser\)/ s:^:#:" \
+ -e '/stimulus-rails/,/tailwindcss-rails/ s:^:#:' \
+ -e '/group :\(doc\|rubocop\|job\|cable\|storage\|ujs\|test\|view\) do/,/^end/ s:^:#:' \
+ -e 's/gemspec/gemspec path: "activesupport"/' \
+ -e '5igem "builder"; gem "rack"' ../Gemfile || die
+ rm ../Gemfile.lock || die
+
+ # Avoid test that depends on timezone
+ sed -i -e '/test_implicit_coercion/,/^ end/ s:^:#:' test/core_ext/duration_test.rb || die
+
+ # Avoid tests that seem to trigger race conditions.
+ rm -f test/evented_file_update_checker_test.rb || die
+
+ # Avoid test that generates filename that is too long
+ sed -i -e '/test_filename_max_size/askip "gentoo"' test/cache/stores/file_store_test.rb || die
+
+ # Avoid tests requiring a live redis running
+ rm -f test/cache/stores/redis_cache_store_test.rb || die
+ sed -i -e '/cache_stores:redis/ s:^:#:' Rakefile || die
+ sed -i -e '/test_redis_cache_store/askip "lacking keywords"' test/cache/cache_store_setting_test.rb || die
+}
diff --git a/dev-ruby/net-ssh-gateway/net-ssh-gateway-2.0.0-r2.ebuild b/dev-ruby/net-ssh-gateway/net-ssh-gateway-2.0.0-r2.ebuild
new file mode 100644
index 000000000000..5272baac62c2
--- /dev/null
+++ b/dev-ruby/net-ssh-gateway/net-ssh-gateway-2.0.0-r2.ebuild
@@ -0,0 +1,31 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+USE_RUBY="ruby26 ruby27 ruby30 ruby31"
+
+RUBY_FAKEGEM_EXTRADOC="CHANGES.txt README.md"
+RUBY_FAKEGEM_GEMSPEC="net-ssh-gateway.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="A simple library to assist in enabling tunneled Net::SSH connections"
+HOMEPAGE="https://github.com/net-ssh/net-ssh-gateway"
+SRC_URI="https://github.com/net-ssh/net-ssh-gateway/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="2.0"
+KEYWORDS="~amd64 ~ppc ~ppc64 ~x86"
+IUSE=""
+
+ruby_add_depend "dev-ruby/minitest:5
+ dev-ruby/mocha:1.0"
+
+ruby_add_rdepend ">=dev-ruby/net-ssh-4.0.0:*"
+
+all_ruby_prepare() {
+ sed -i -e 's/git ls-files -z/find * -print0/' ${RUBY_FAKEGEM_GEMSPEC} || die
+
+ sed -i -e '/bundler/ s:^:#:' Rakefile test/net/ssh/gateway_test.rb || die
+ sed -i -e 's:mocha/mini_test:mocha/minitest:' test/net/ssh/gateway_test.rb || die
+}
diff --git a/dev-ruby/rails/Manifest b/dev-ruby/rails/Manifest
index a8e7039e71de..3484033bce12 100644
--- a/dev-ruby/rails/Manifest
+++ b/dev-ruby/rails/Manifest
@@ -2,6 +2,8 @@ DIST rails-6.0.5.1.gem 6656 BLAKE2B 42a04f6fcf62a07d3f3727323ffb9ae5884561161e5e
DIST rails-6.0.6.1.gem 6656 BLAKE2B 96e80633f3ea9856703cb6798833fb14b45caefa9699ca57954c4e6d72bf8a8bf9adcfe484100dc58ef26cf6ff9de503777edda9a2b6470e4d5244d5bf65d4c2 SHA512 7a656dae2490b9195f88db997f08ef70bec7df579b849acde017e58552f7dd30f71f69cfa5676d703f921a7f0fc5ba31e96586850ace33b5d9e5db9830b6f807
DIST rails-6.1.6.1.gem 6656 BLAKE2B 10d7bfe4c92b4485de328d9b9806bdb79bd74f9bb23ef09cf9609362927b1474ca3ba35e54da6c8fd9745b0364f4f6a9390b4c1ad641a5ac437c222cadfa25bf SHA512 90ef98bbedd76feb4c1835062069cc5afd5bf5c191cd0858efe03dc5fa80194773ec7b21a3296a24089178faa14f1cd68f8e9d934f362b03ebeef81998a7f18c
DIST rails-6.1.7.2.gem 6656 BLAKE2B 149fca7e8a48c952608cbbfd9a91e37e350dbc46f96c72e6306d3828e303084ff3e7be7a5495d90375f0ef9a15a86ee0d616301143b23e5e372d4205d593d0c0 SHA512 28ca21666905462d7663aa5fb0ea4e5b2058235b3243408ecf474073e48eb97473e94367323df5476b159912510d96262e92fb5b2791b995180c6a7adf59ea44
+DIST rails-6.1.7.3.gem 6656 BLAKE2B 0fefce9e1785afd14d98b53ba8b998d9a3d9a50dc1b9d77ec8478d20b1e45b46a2e74aea6cc988892cd544fccef23f4235fc1cad7611f3fa9072ad08cdd3f3f0 SHA512 ff4b22af73e72ecdfb6ae9c6ae060d2881eb74456ba5cdd81b27a21e55193dd593f4a11ed1b6a22af49e5d7cf3b9c921cfa0e03c8984da7fa5975ea7696184b0
DIST rails-6.1.7.gem 6656 BLAKE2B 269016aec41ab2a5fe334c626286095f83d3fc7c16a52491002624267d89ec7aa499c9a7e04d9f55e67e12a570c0b597c44ef6e07072c3e421e9b9a317da6c0c SHA512 e89151c39c62748983e83b11a4c092874489df30329e377097448802a76851d7c1c340180b19b056d3e3658c8157a076ca9b4e68c8cd6bc3819811509c3e80d5
DIST rails-7.0.4.2.gem 6656 BLAKE2B 583ab77986109dc3b1acd85b7ba6eb08915133968efc4d46facf8ec4ab464f5fca67230957fa75b6429d9b05e01e61d889ba63cf7b25e12c3a6d1fe64bb163cb SHA512 ed2808c0bef31694d8c4b8d52d991fe56efbb15571742d34e71d179bf9bd759e1143219dd3a2b992d36109a023608fe8cbef76312ba6dd48f4277534f1103f72
+DIST rails-7.0.4.3.gem 6656 BLAKE2B d8d9e29705337fc21c10c6687061a17c594d3ddbf67c9d8b46dd6aca1e4d3e265086041b9b5bfce10835f4cb537c247ffbf16b2a4314f2ef5d149d2f2ede09b3 SHA512 89f69cc2a7c7081f60417186294843798cfda0b3a12b3bac64357fd1f28f03ea76f456b41c63e5d1506e965d4d04a40c1563803e6d44c02b768e1627c665e554
DIST rails-7.0.4.gem 6656 BLAKE2B 52a5b9445c7ab4b43a9646b02c80c519f22e0f78e24eda4f3c7b7e27829e3edbaa7fa42bb93a2e1917469d54cf75f8c2e9fb50015cf7abe981da43131235a5fa SHA512 2df3363df5f380dc9d0cf8e19985f07f20bb2a5e1c50f776636b2d53e3415333490201ab5600a52bf878391de411344ff8c8d43c93a2aba243dd0be3ee1a3a05
diff --git a/dev-ruby/rails/rails-6.1.7.3.ebuild b/dev-ruby/rails/rails-6.1.7.3.ebuild
new file mode 100644
index 000000000000..6d28f2cf9491
--- /dev/null
+++ b/dev-ruby/rails/rails-6.1.7.3.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+USE_RUBY="ruby27 ruby30"
+
+RUBY_FAKEGEM_BINWRAP=""
+
+RUBY_FAKEGEM_TASK_TEST=""
+
+RUBY_FAKEGEM_EXTRADOC="README.md"
+
+inherit ruby-fakegem
+
+DESCRIPTION="ruby on rails is a web-application and persistance framework"
+HOMEPAGE="https://rubyonrails.org"
+
+LICENSE="MIT"
+SLOT="$(ver_cut 1-2)"
+KEYWORDS="~amd64 ~riscv"
+
+IUSE=""
+
+ruby_add_rdepend "
+ ~dev-ruby/actioncable-${PV}
+ ~dev-ruby/actionmailbox-${PV}
+ ~dev-ruby/actionmailer-${PV}
+ ~dev-ruby/actionpack-${PV}
+ ~dev-ruby/actiontext-${PV}
+ ~dev-ruby/actionview-${PV}
+ ~dev-ruby/activejob-${PV}
+ ~dev-ruby/activemodel-${PV}
+ ~dev-ruby/activerecord-${PV}
+ ~dev-ruby/activestorage-${PV}
+ ~dev-ruby/activesupport-${PV}
+ ~dev-ruby/railties-${PV}
+ >=dev-ruby/bundler-1.15.0:*
+ >=dev-ruby/sprockets-rails-2.0.0:*
+"
diff --git a/dev-ruby/rails/rails-7.0.4.3.ebuild b/dev-ruby/rails/rails-7.0.4.3.ebuild
new file mode 100644
index 000000000000..d2388f935a73
--- /dev/null
+++ b/dev-ruby/rails/rails-7.0.4.3.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+USE_RUBY="ruby27 ruby30"
+
+RUBY_FAKEGEM_BINWRAP=""
+
+RUBY_FAKEGEM_TASK_TEST=""
+
+RUBY_FAKEGEM_EXTRADOC="README.md"
+
+inherit ruby-fakegem
+
+DESCRIPTION="ruby on rails is a web-application and persistance framework"
+HOMEPAGE="https://rubyonrails.org"
+
+LICENSE="MIT"
+SLOT="$(ver_cut 1-2)"
+KEYWORDS="~amd64 ~ppc64 ~riscv"
+
+IUSE=""
+
+ruby_add_rdepend "
+ ~dev-ruby/actioncable-${PV}
+ ~dev-ruby/actionmailbox-${PV}
+ ~dev-ruby/actionmailer-${PV}
+ ~dev-ruby/actionpack-${PV}
+ ~dev-ruby/actiontext-${PV}
+ ~dev-ruby/actionview-${PV}
+ ~dev-ruby/activejob-${PV}
+ ~dev-ruby/activemodel-${PV}
+ ~dev-ruby/activerecord-${PV}
+ ~dev-ruby/activestorage-${PV}
+ ~dev-ruby/activesupport-${PV}
+ ~dev-ruby/railties-${PV}
+ >=dev-ruby/bundler-1.15.0:*
+ >=dev-ruby/sprockets-rails-2.0.0:*
+"
diff --git a/dev-ruby/railties/Manifest b/dev-ruby/railties/Manifest
index fb3ed3825b28..20fa7b9339d7 100644
--- a/dev-ruby/railties/Manifest
+++ b/dev-ruby/railties/Manifest
@@ -2,6 +2,8 @@ DIST rails-6.0.5.1.tgz 18607954 BLAKE2B 74f75399a287f1eae199a5764c952b75dd95a02c
DIST rails-6.0.6.1.tgz 18608328 BLAKE2B 10e6cb2d23acb75c95c25e2e6cc62de05c9c89f249c6cb9abffdd3a6ed83eb1dca996e6ef56a92cf77dddd3f8f9373ad947690015fb7966ddc599c995cea1121 SHA512 6873354fe2f8b9bf8bc12c7e6affda4300c158ee825f996eea6032a70f9532009d8f626d2736af22a452c8a3b331d1252ff19666e021150bfae2a8d575890c27
DIST rails-6.1.6.1.tgz 11028264 BLAKE2B 568033eb816613ba0ba5f2df38e6a30158b2e31ef4d4da151f8c0de2934b07736833026793ce9192994d9ef2a2a45b67735a35760c1be8b8a68c1968147cc6db SHA512 04acf9dbf5ee734636aada67be001690899eb13f73ea688455fcaee8cbf4839aedf06943c8adb5eecf13fd9a5f6be1a225310aa481d3a254172fd0ce0402362f
DIST rails-6.1.7.2.tgz 11037081 BLAKE2B 0004f4bc8b2370119cbe0f6a9133278ae78b1d274f040f08d18edd06696e6fcc609154a042c68b77e11893fbef83ec8eabd9f1e2c28920269189ee1352a0695a SHA512 f667904b0d3ffda3579e5046da3b36c242581bacf140966bf1dc59fc7ea91f34f4affc76b0d6cfad4b80f0332aeec5fc8ab35fb793fc935f1d1b4fe6d18ce1de
+DIST rails-6.1.7.3.tgz 11038169 BLAKE2B 7e379b9ae3b63cb78638c1e0817ff40dc8aad79ba76b6d82310fbb4d6f5ef3dab4f252de9e49766143b828bfbce2ef7c9db3f108b5406708b61a83aeda47ea74 SHA512 fb84516a6cf370109bf45f2162161d23f375d7dc10249ed10200c74ec402129b07ac0e59bcde98a74eb499769a0cdd937af691edaabe44e061262d5510adc02e
DIST rails-6.1.7.tgz 11038670 BLAKE2B fd25884a6f58f10387f1f89ffd39caad337d7a3af6902f9ccdcf4eb108f9355124b6e1004d8b8f2b625ac7d9cfcd8635e7668101a1cba5d866a5fbe1b691e6e2 SHA512 7d56f604fbc2fb83a2e3a4ee070f55fb285018a48584115e0bf19982553eb5b78a173a5adbf1879e88c0739bea9dccc66879646da5c0b141b24f1500e1bdcb5f
DIST rails-7.0.4.2.tgz 11063555 BLAKE2B f8a862ce91a356dad702a44f1e36f8910e91481770118343c13fa00e40d57cd208ebea83e5adc0154927ef62b3f8461ded82c4e5097089fb1d872c2247feba44 SHA512 9fb80e9ec6e9edcf049635eb436c2fdb418cbdea47a6d82fefa7606e9bd14f2785b1c4445f08848692474db7ee3eb309ab26aabc5f3ba6847457d8dfd8802689
+DIST rails-7.0.4.3.tgz 11063764 BLAKE2B 389fd3a00bfff4ebda70cf5ec473942883048783b716ede1787a510d3b7b91f4e844dce4dde5ef643cb9611b1b3aa712f1ba5ebefb9e5a84e307a151b2e40bcf SHA512 2c817a0a58ae52f99686d8cd0de84f01e3d7ec05afc95d07910b3b5bf86d8162b06102893b2cbc14859b95a07eca6882a707956c87d437794697df7a18fa3c16
DIST rails-7.0.4.tgz 11061225 BLAKE2B 9c520766f936c82ae9ee943c3db0ad575d7fc59aea947fb2790cf511188fbd33166a62332564c4714372203f5fabdde842334103b48f4115c31f5d0fe18375f1 SHA512 118035226054ad5083d2affde55a812917652491f82a9a578380a790770fdda3a14904f6de10f58651bbbab278aa23920b652aa1b34c71441d465c3b7b4be82c
diff --git a/dev-ruby/railties/railties-6.1.7.3.ebuild b/dev-ruby/railties/railties-6.1.7.3.ebuild
new file mode 100644
index 000000000000..50dfdf624a3c
--- /dev/null
+++ b/dev-ruby/railties/railties-6.1.7.3.ebuild
@@ -0,0 +1,71 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+USE_RUBY="ruby27 ruby30 ruby31"
+
+RUBY_FAKEGEM_TASK_TEST="test:regular"
+RUBY_FAKEGEM_RECIPE_DOC=""
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.rdoc"
+
+RUBY_FAKEGEM_GEMSPEC="railties.gemspec"
+
+RUBY_FAKEGEM_BINDIR="exe"
+RUBY_FAKEGEM_BINWRAP=""
+
+inherit ruby-fakegem
+
+DESCRIPTION="Tools for creating, working with, and running Rails applications"
+HOMEPAGE="https://github.com/rails/rails"
+SRC_URI="https://github.com/rails/rails/archive/v${PV}.tar.gz -> rails-${PV}.tgz"
+
+LICENSE="MIT"
+SLOT="$(ver_cut 1-2)"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~riscv ~x86"
+IUSE=""
+
+RUBY_S="rails-${PV}/${PN}"
+
+# The test suite has many failures, most likely due to a mismatch in
+# exact dependencies or environment specifics. Needs further
+# investigation.
+RESTRICT="test"
+
+RDEPEND+=">=app-eselect/eselect-rails-0.25"
+
+ruby_add_rdepend "
+ ~dev-ruby/activesupport-${PV}
+ ~dev-ruby/actionpack-${PV}
+ dev-ruby/thor:1
+ >=dev-ruby/rake-0.8.7
+ dev-ruby/method_source
+"
+
+ruby_add_bdepend "
+ test? (
+ ~dev-ruby/actionview-${PV}
+ dev-ruby/mocha:0.14
+ )"
+
+all_ruby_prepare() {
+ rm "${S}/../Gemfile" || die "Unable to remove Gemfile"
+ sed -i -e '/load_paths/d' test/abstract_unit.rb || die "Unable to remove load paths"
+ sed -i -e '1igem "minitest", "~>4.0"' test/abstract_unit.rb || die
+}
+
+all_ruby_install() {
+ all_fakegem_install
+
+ ruby_fakegem_binwrapper rails rails-${PV}
+}
+
+pkg_postinst() {
+ elog "To select between slots of rails, use:"
+ elog "\teselect rails"
+
+ eselect rails update
+}
+
+pkg_postrm() {
+ eselect rails update
+}
diff --git a/dev-ruby/railties/railties-7.0.4.3.ebuild b/dev-ruby/railties/railties-7.0.4.3.ebuild
new file mode 100644
index 000000000000..e19f83f80d1b
--- /dev/null
+++ b/dev-ruby/railties/railties-7.0.4.3.ebuild
@@ -0,0 +1,72 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+USE_RUBY="ruby27 ruby30 ruby31"
+
+RUBY_FAKEGEM_TASK_TEST="test:regular"
+RUBY_FAKEGEM_RECIPE_DOC=""
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.rdoc"
+
+RUBY_FAKEGEM_GEMSPEC="railties.gemspec"
+
+RUBY_FAKEGEM_BINDIR="exe"
+RUBY_FAKEGEM_BINWRAP=""
+
+inherit ruby-fakegem
+
+DESCRIPTION="Tools for creating, working with, and running Rails applications"
+HOMEPAGE="https://github.com/rails/rails"
+SRC_URI="https://github.com/rails/rails/archive/v${PV}.tar.gz -> rails-${PV}.tgz"
+
+LICENSE="MIT"
+SLOT="$(ver_cut 1-2)"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~riscv ~x86"
+IUSE=""
+
+RUBY_S="rails-${PV}/${PN}"
+
+# The test suite has many failures, most likely due to a mismatch in
+# exact dependencies or environment specifics. Needs further
+# investigation.
+RESTRICT="test"
+
+RDEPEND+=">=app-eselect/eselect-rails-0.25"
+
+ruby_add_rdepend "
+ ~dev-ruby/activesupport-${PV}
+ ~dev-ruby/actionpack-${PV}
+ dev-ruby/thor:1
+ >=dev-ruby/rake-12.2
+ dev-ruby/method_source
+ >=dev-ruby/zeitwerk-2.5:2
+"
+
+ruby_add_bdepend "
+ test? (
+ ~dev-ruby/actionview-${PV}
+ dev-ruby/mocha:0.14
+ )"
+
+all_ruby_prepare() {
+ rm "${S}/../Gemfile" || die "Unable to remove Gemfile"
+ sed -i -e '/load_paths/d' test/abstract_unit.rb || die "Unable to remove load paths"
+ sed -i -e '1igem "minitest", "~>4.0"' test/abstract_unit.rb || die
+}
+
+all_ruby_install() {
+ all_fakegem_install
+
+ ruby_fakegem_binwrapper rails rails-${PV}
+}
+
+pkg_postinst() {
+ elog "To select between slots of rails, use:"
+ elog "\teselect rails"
+
+ eselect rails update
+}
+
+pkg_postrm() {
+ eselect rails update
+}